<?php
namespace App\Helper\Helpers;

Use App\Models\User;
Use App\Models\Admin\Setting;
Use App\Models\ShoppingCart;
use App\Models\Admin\Order;

use Illuminate\Http\Request;
use Illuminate\Database\Eloquent\Model;
use GuzzleHttp\Client as GuzzleHttpClient;

use App\Models\Wishlist;
use App\Models\Admin\Role;

use Cart;
use Carbon\Carbon;
use stdClass;
use File;
use Storage;
use Auth;
use DateTime;
use Str;
use DB;
use Arr;
use Imagick;
use Illuminate\Support\Collection;
use \Cviebrock\EloquentSluggable\Services\SlugService;

use BaconQrCode\Renderer\ImageRenderer;
use BaconQrCode\Renderer\Image\ImagickImageBackEnd;
use BaconQrCode\Renderer\RendererStyle\RendererStyle;
use BaconQrCode\Writer;

class Helper
{
    // use ResponseAPI;

    public static function shellCommandExecute($cmd, $dir = null){
        if($cmd == '')
            return false;
        // $process = Process::fromShellCommandline($cmd, $dir);

        // $output = '';
        // $captureOutput = function ($type, $line) use (&$output) {
        //     $output .= $line;
        // };

        // $process->run($captureOutput);

        // if (!$process->isSuccessful()) {
        //     throw new ProcessFailedException($process);
        // }

        // return $output;

        return exec($cmd);
    }

    public static function createDirecrotoryIfNotExist($disk, $path){
        if(!Storage::disk($disk)->exists($path)) {
            Storage::disk($disk)->makeDirectory($path);
        }
    }

    public static function checkFileExist($disk, $path){
        if(Storage::disk($disk)->exists($path)) {
            return true;
        }
        return false;
    }

    public static function deleteFileIfExist($disk, $path){
        if($path != '' && Storage::disk($disk)->exists($path)) {
            Storage::disk($disk)->delete($path);
        }
    }

    public static function makeErrorLogArray($module, $crud_nm, $action = 'insert'){
        return $log_arr['errorLog'] = [
            'module' => $module,
            'file_name' => ''.preg_replace('/\B([A-Z])/', '_$1', Str::lower($crud_nm)).'_'.preg_replace('/\B([A-Z])/', '_$1', Str::lower($action)).'_api.log',
            'type' => ''.$crud_nm.' '.Str::ucfirst($action).' By '.$module.' Api (v1) (Exception)',
        ];
    }

    public static function sanitize_file_name($filename)
    {
        $filename_raw = $filename;
        $special_chars = array(".", "?", "[", "]", "/", "\\", "=", "<", ">", ":", ";", ",", "'", "\"", "&", "$", "#", "*", "(", ")", "|", "~", "`", "!", "{", "}");
        $filename = str_replace($special_chars, '', $filename);
        $filename = preg_replace('/[\s-]+/', '-', $filename);
        $filename = trim($filename, '.-_');
        return $filename;
    }

    public static function writeErrorLog($destinationPath = null, $file_name = '', $data = [], $type = 'error') {
        $data = (array)$data;
        $curent_date = date("Y-m-d h:i:s");
        if (!File::exists($destinationPath)) {
            File::makeDirectory($destinationPath, $mode = 0777, true, true);
        }
        $full_path = $destinationPath.$file_name;
        $bytesWritten = File::append($full_path, '-------------------------------------'.$curent_date.' ('.$type.')------------------------------------------' . PHP_EOL);
        $bytesWritten = File::append($full_path, print_r($data, true) . PHP_EOL . PHP_EOL);
    }

    // public static function writeImportErrorLog($destinationPath = null, $file_name = '', $data = [], $error_array = []) {
    //     $data = (array)$data;
    //     $curent_date = date("Y-m-d h:i:s");
    //     if (!File::exists($destinationPath)) {
    //         File::makeDirectory($destinationPath, $mode = 0777, true, true);
    //     }
    //     dd($destinationPath);
    //     $full_path = $destinationPath.$file_name;
    //     $bytesWritten = File::append($full_path, '-------------------------------------'.$curent_date.'------------------------------------------' . PHP_EOL);
    //     $bytesWritten = File::append($full_path, print_r($data, true) . PHP_EOL . PHP_EOL);

    //     if(!empty($error_array)){
    //         $bytesWritten = File::append($destinationPath, 'Fields With Error :' . PHP_EOL .PHP_EOL);
    //         foreach($error_array as $key => $error){
    //             $bytesWritten = File::append($destinationPath, $error . PHP_EOL);
    //         }
    //     }
    //     $bytesWritten = File::append($destinationPath, '' .PHP_EOL);
    // }

    public static function writeImportErrorLog($mod, $error_array, $data, $type = 'payroll') {
        $data = (array)$data;
        $curent_date = date("Y-m-d h:i:s");
        $destinationPath = storage_path().'/app/public/'.$type.'s/'.$type.'_import/log/';
        if (!File::exists($destinationPath)) {
            File::makeDirectory($destinationPath, $mode = 0777, true, true);
        }
        $file_name = $type.'.log';
        if($mod)
            $file_name = Str::replace('/', '-', $mod->risk_name).' '.$type.'s '.$mod->id.'.log';

        $full_path = $destinationPath.$file_name;
        $bytesWritten = File::append($full_path, '-------------------------------------'.$curent_date.' ('.$type.')------------------------------------------' . PHP_EOL);
        $bytesWritten = File::append($full_path, print_r($data, true) . PHP_EOL);
        if(!empty($error_array)){
            $bytesWritten = File::append($full_path, 'Fields With Error :' . PHP_EOL .PHP_EOL);
            foreach($error_array as $key => $error){
                $bytesWritten = File::append($full_path, $error . PHP_EOL);
            }
        }
        $bytesWritten = File::append($full_path, '' .PHP_EOL);
    }

    public static function objectToArray($obj){
        // if (is_object($obj)){
            return json_decode(json_encode($obj), true);
        // }
        // return [];
    }

    // public static function array_to_object($array) {
    //     $obj = [];
    //     if (is_array($array)) {
    //         $obj = json_decode(json_encode($array));
    //     }
    //     return $obj;
    // }

    public static function encodeHashids($obj){
        if(!empty($obj)){
            $hashids = new Hashids('', config('project.hashid_lenght', 20));
            $obj->uuid = $hashids->encodeHex($obj->id);
            $obj->save();
        }
    }

    public static function decodeHashids($str = ''){
        if($str != ''){
            $hashids = new Hashids('', config('project.hashid_lenght', 20));
            return $hashids->decodeHex($str);
        }
        return '';
    }

    public static function generateUniqueApiKey($unique_field, $length = 32){
        do {
            $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
            $key = '';
            for ($i = 0; $i < $length; $i++) {
                $index = rand(0, strlen($characters) - 1);
                $key .= $characters[$index];
            }
        } while (Tenant::where($unique_field, "=", $key)->first());

        return $key;
    }

    public static function checkRole($role_nm = ''){
        if($role_nm != ''){
            if(in_array($role_nm, Auth::user()->getRoleNames()->toArray()))
                return true;
            else
                return false;
        }
        return false;
    }

    public static function removeSpaces($val){
        return preg_replace('/[^a-zA-Z0-9,.]/', '', $val);
    }

    public static function removeSpaceAndDoller($str){
        return Str::replace("$", "", preg_replace('/[^a-zA-Z0-9,.]/', '', $str));
    }

    public static function floorVal($val){
        return $val = floor($val*1000)/1000;
    }

    public static function sanitizeString($str){
        return mb_convert_encoding(trim(preg_replace('/[\x00-\x1F\x7F-\xFF]/','',$str)), 'UTF-8', 'UTF-8');
    }

    public static function sanitizeNumber($number){
        return mb_convert_encoding(trim(str_replace(",","",str_replace("$","",preg_replace('/[\x00-\x1F\x7F-\xFF]/','',$number)))), 'UTF-8', 'UTF-8');
    }

    public static function saveUserQrcodeBase64($user){
        if($user){
            $google2fa = app('pragmarx.google2fa');
            $prefix = Str::padRight($user->id, 10, 'X');
            $secret = $google2fa->generateSecretKey(16, $prefix);
            $user->google2fa_secret = $secret;

            $g2faUrl = $google2fa->getQRCodeUrl(config('app.name'), $user->email, $secret);
            $writer = new Writer(
                new ImageRenderer(
                    new RendererStyle(400),
                    new ImagickImageBackEnd()
                )
            );
            $qr_code = base64_encode($writer->writeString($g2faUrl));
            $user->qrcode_base64 = $qr_code;
            $user->save();
        }
    }

    public static function removeDash($string){
        $string = preg_replace("/[\s-]+/", " ", $string);
        $string = preg_replace("/[\s_]/", " ", $string);
        return ucwords($string);
    }

    public static function uniqueCatID(){
        if (function_exists('com_create_guid') === true)
        return trim(com_create_guid(), '{}');
        $data = openssl_random_pseudo_bytes(16);
        $data[6] = chr(ord($data[6]) & 0x0f | 0x40); // set version to 0100
        $data[8] = chr(ord($data[8]) & 0x3f | 0x80); // set bits 6-7 to 10
        return vsprintf('%s%s-%s-%s-%s-%s%s%s', str_split(bin2hex($data), 4));
    }

    public static function ArrayToString($array = []){
        $string = implode(', ', $array);
        $string = preg_replace("/[\s-]+/", " ", $string);
        $string = preg_replace("/[\s_]/", " ", $string);
        return ucwords($string);
    }

    public static function uniqueProductID(){
        if (function_exists('com_create_guid') === true)
        return trim(com_create_guid(), '{}');
        $data = openssl_random_pseudo_bytes(8);
        $data[6] = chr(ord($data[6]) & 0x0f | 0x40); // set version to 0100
        $data[4] = chr(ord($data[4]) & 0x3f | 0x80); // set bits 6-7 to 10
        return vsprintf('%s%s%s%s', str_split(bin2hex($data), 4));
    }

    public static function formatSizeUnits($bytes){
        if ($bytes >= 1073741824)
        {
            $bytes = number_format($bytes / 1073741824, 2) . ' GB';
        }
        elseif ($bytes >= 1048576)
        {
            $bytes = number_format($bytes / 1048576, 2) . ' MB';
        }
        elseif ($bytes >= 1024)
        {
            $bytes = number_format($bytes / 1024, 2) . ' KB';
        }
        elseif ($bytes > 1)
        {
            $bytes = $bytes . ' bytes';
        }
        elseif ($bytes == 1)
        {
            $bytes = $bytes . ' byte';
        }
        else
        {
            $bytes = '0 bytes';
        }

        return $bytes;
    }

    public static function get_timeago($ptime){
        $etime = time() - $ptime;

        if ($etime < 1)
        {
            return 'Just Now';
        }

        $a = array( 365 * 24 * 60 * 60  =>  'year',
                    30 * 24 * 60 * 60  =>  'month',
                        24 * 60 * 60  =>  'day',
                            60 * 60  =>  'hour',
                                    60  =>  'minute',
                                    1  =>  'second'
                    );
        $a_plural = array( 'year'   => 'years',
                        'month'  => 'months',
                        'day'    => 'days',
                        'hour'   => 'hours',
                        'minute' => 'minutes',
                        'second' => 'seconds'
                    );

        foreach ($a as $secs => $str)
        {
            $d = $etime / $secs;
            if ($d >= 1)
            {
                $r = round($d);
                return $r . ' ' . ($r > 1 ? $a_plural[$str] : $str) . ' ago';
            }
        }
    }

    public static function randomSTR($n = 35) {
        $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
        $randomString = '';

        for ($i = 0; $i < $n; $i++) {
            $index = rand(0, strlen($characters) - 1);
            $randomString .= $characters[$index];
        }

        return $randomString;
    }

    public static function html_cut($text, $max_length){
        $tags   = array();
        $result = "";

        $is_open   = false;
        $grab_open = false;
        $is_close  = false;
        $in_double_quotes = false;
        $in_single_quotes = false;
        $tag = "";

        $i = 0;
        $stripped = 0;

        $stripped_text = strip_tags($text);

        while ($i < strlen($text) && $stripped < strlen($stripped_text) && $stripped < $max_length)
        {
            $symbol  = $text[$i];
            $result .= $symbol;

            switch ($symbol)
            {
            case '<':
                    $is_open   = true;
                    $grab_open = true;
                    break;

            case '"':
                if ($in_double_quotes)
                    $in_double_quotes = false;
                else
                    $in_double_quotes = true;

                break;

                case "'":
                if ($in_single_quotes)
                    $in_single_quotes = false;
                else
                    $in_single_quotes = true;

                break;

                case '/':
                    if ($is_open && !$in_double_quotes && !$in_single_quotes)
                    {
                        $is_close  = true;
                        $is_open   = false;
                        $grab_open = false;
                    }

                    break;

                case ' ':
                    if ($is_open)
                        $grab_open = false;
                    else
                        $stripped++;

                    break;

                case '>':
                    if ($is_open)
                    {
                        $is_open   = false;
                        $grab_open = false;
                        array_push($tags, $tag);
                        $tag = "";
                    }
                    else if ($is_close)
                    {
                        $is_close = false;
                        array_pop($tags);
                        $tag = "";
                    }

                    break;

                default:
                    if ($grab_open || $is_close)
                        $tag .= $symbol;

                    if (!$is_open && !$is_close)
                        $stripped++;
            }

            $i++;
        }

        while ($tags)
            $result .= "</".array_pop($tags).">";

        return $result;
    }


    public static function assignRoleAndPermissions(Request $request, $user){
        // Get the submitted roles
        $roles = $request->get('roles', []);
        $permissions = $request->get('permissions', []);

        // print_r($roles);

        // Get the roles
        $roles = Role::find($roles);


        // echo '<pre>';
        // print_r($user->toArray());
        // print_r($roles);exit;
        // print_r($permissions);
        // exit;

        // check for current role changes
        if( ! $user->hasAllRoles( $roles ) ) {
            // reset all direct permissions for user
            $user->permissions()->sync([]);
        } else {
            // handle permissions
            $user->syncPermissions($permissions);
        }
    // exit;

        $user->syncRoles($roles);

        // echo '<pre>';
        // print_r($user->toArray());
        // exit;

        return $user;
    }

    public static function one_day_added_date($day = 1){
        return date('Y-m-d', strtotime("+".$day." days"));
    }


    public static function checkProductImagExist($file_name){
        $originalsImgPath = 'backend/assets/images/product_image/'.$file_name;
        if(File::exists($originalsImgPath) && $file_name != ''){
            return $result = ['status' => true, 'path' => asset('backend/assets/images/product_image').'/'.$file_name];
        }
        return $result = ['status' => false, 'path' => asset('frontend/assets/images/default3.png')];
    }

    public static function checkCart(){
        if(Auth::user())
            $cart_count = ShoppingCart::where('user_id', '=', Auth::id())->count();
        else
            $cart_count = Cart::count();

        if($cart_count > 0)
            return false;
        else
            return true;

    }

    public static function showUsername(){
        if(Auth::user()->first_name == '' && Auth::user()->last_name == ''){
            return Auth::user()->username;
        }

        return Auth::user()->first_name. ' ' .Auth::user()->last_name;
    }

    public static function getSetting(){
        $setting = Setting::first();
        return $setting;
    }

    public static function getCurrency(){
        $setting = Setting::first();
        if(empty($setting)){
            return 'ETH';
        }else{
            return Str::upper($setting->payment_currency);
        }
    }

    public static function getWalletAddress(){
        $setting = Setting::first();
        if(empty($setting)){
            return '0x6cA0323B6DB3bbC5331614b1E5aFf01C0b1771d6';
        }else{
            return $setting->wallet_address;
        }
    }

    public static function getNetworks(){
        $setting = Setting::first();
        if(empty($setting)){
            return 'Binance Smart Chain';
        }else{
            return $setting->networks;
        }
    }

    public static function generateOrderNumber($count, $length = 6)
    {
        $characters = '0123456789';
        $coupons = [];
        while(count($coupons) < $count) {
            do {
                // $coupon = str_random($length);
                $randomString = '';
                for ($i = 0; $i < $length; $i++) {
                    $index = rand(0, strlen($characters) - 1);
                    $randomString .= $characters[$index];
                }
            } while (in_array($randomString, $coupons));
            $coupons[] = $randomString;
        }
        // dd($coupons);

        $existing = Order::whereIn('order_id', $coupons)->count();
        if ($existing > 0)
            $coupons += Helper::generateOrderNumber($existing, $length);

        return (count($coupons) == 1) ? 'ORD'.$coupons[0] : 'ORD'.$coupons;
    }

    public static function setPriceFormat($amount){
        if($amount != ''){
            // if($amount == 0){
            //     return '0 '.getCurrency();
            // }else if($amount > 1){
            //     return number_format($amount, 2).' '.getCurrency();
            // }else{
            //     return rtrim($amount,'0').' '.getCurrency();
            // }

            return $amount.' '.Helper::getCurrency();
        }
        return 0;
    }

    public static function random_color_part() {
        return str_pad( dechex( mt_rand( 0, 255 ) ), 2, '0', STR_PAD_LEFT);
    }

    public static function random_color() {
        return Helper::random_color_part() . Helper::random_color_part() . Helper::random_color_part();
    }

    public static function groupArray(array $arr, $group, bool $preserveGroupKey = false, bool $preserveSubArrays = false)
    {
        $result = [];
        foreach ($arr as $key => $value) {
            if (!$preserveGroupKey) {
                unset($arr[$key][$group]);
            }
            $result[$value[$group]][] = !$preserveSubArrays && count($arr[$key]) === 1
                ? array_current($arr[$key])
                : $arr[$key];
        }
        return $result;
    }

    // public static function uniqueAssocArray($array, $uniqueKey, $uniqueKey2) {
    //     if (!is_array($array)) {
    //         return [];
    //     }
    //     $uniqueKeys = [];
    //     foreach ($array as $key => $item) {
    //         echo $item[$uniqueKey];
    //         dump($uniqueKeys);
    //         if (!Helper::in_array_r($item[$uniqueKey], $uniqueKeys)){
    //             $uniqueKeys[] = $item;
    //         }
    //     }
    //     return $uniqueKeys;
    // }

    // public static function in_array_r($needle, $haystack, $strict = false) {
    //     foreach ($haystack as $item) {
    //         if (($strict ? $item === $needle : $item == $needle) || (is_array($item) && Helper::in_array_r($needle, $item, $strict))) {
    //             return true;
    //         }
    //     }

    //     return false;
    // }


    public static function searchAndRemoveDuplicateArray($arr, $key1, $key2){
        $result = array();
        foreach ($arr as $obj) {
            if (Helper::searchDuplicate($result, $obj, $key1, $key2) === false) {
                $result[] = $obj;
            }
        }
        return $result;
    }

    public static function searchDuplicate($arr, $obj, $key1, $key2) {
        // dd($arr);
        foreach ($arr as $value) {
            if ($value[$key1] == $obj[$key1] && $value[$key2] == $obj[$key2]) {
                return true; //duplicate
            }
        }
        return false;
    }

    public static function getFirstImage($product, $size = '540_600'){
        $fileName = $product->product_images->toArray()[0]['file_name'];
        return asset('storage/products/'.$size.'/'.$fileName);
    }

    public static function getFirstImageForCart($product_images, $size = '540_600'){
        $fileName = $product_images[0]['file_name'];
        return 'storage/products/'.$size.'/'.$fileName;
    }

    public static function object_to_array($obj, &$arr = []){
        if (!is_object($obj) && !is_array($obj)){
            $arr = $obj;
            return $arr;
        }
        foreach ($obj as $key => $value){
            if (!empty($value)){
                $arr[$key] = array();
                Helper::object_to_array($value, $arr[$key]);
            }else {
                $arr[$key] = $value;
            }
        }
        return $arr;
    }

    public static function getProductPriceFromAttribute($product_attributes_array, $color, $size){
        $product_attributes_array = Helper::object_to_array($product_attributes_array);
        $attribute_array = $product_attributes_array[$color];
        $price_array = Helper::find_and_return_key_value_of_Array($attribute_array, 'size', $size);
        return $price_array;
    }

    public static function find_and_return_key_value_of_Array($array, $key, $val){
        foreach ($array as $item)
        {
            if (is_array($item) && Helper::find_and_return_key_value_of_Array($item, $key, $val)) return $item;

            if (isset($item[$key]) && $item[$key] == $val) return $item;
        }

        return [];
    }

    public static function cartUpdate($cart_id, $quantity){
        if(Auth::user()){
            // User
            $shopping_cart = ShoppingCart::find($cart_id);
            $shopping_cart->quantity = $quantity;
            $shopping_cart->subtotal = ($quantity * $shopping_cart->price);
            $shopping_cart->cart_total = ($quantity * $shopping_cart->price);
            $shopping_cart->save();

            $subtotal = ShoppingCart::where('user_id', '=', Auth::id())->sum('subtotal');
            $cart_total = ShoppingCart::where('user_id', '=', Auth::id())->sum('cart_total');
        }else{
            // Guest
            Cart::update($cart_id, $quantity); // Will update the quantity
            $subtotal = Cart::subtotal();
            $cart_total = Cart::total();
        }
        return ['status' => true, 'cart_subtotal' => $subtotal, 'cart_total' => $cart_total];

    }

    public static function isWishlist($product_id){
        $w_list = Wishlist::where('user_id', Auth::user()->id)->where('product_id', $product_id)->first();
        if(!empty($w_list)){
            return true;
        }else{
            return false;
        }
    }

}
?>
