<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use App\Models\Admin\FooterContent;

use DataTables;
use Response;
use Mail;
use Excel;
use Redirect;
use Image;
use File;
use Storage;
use DB;

use App\Traits\Authorizable;

class FooterContentController extends Controller
{
    use Authorizable;
    
    public function __construct() {
        $this->middleware('auth:admin');
        //$this->middleware('admin');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $footer_content = FooterContent::orderBy('created_at', 'desc')->first();
        return view('admin.footer_content.index', compact('footer_content'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // dd($request->all());
        $this->validate($request, [
            'first_col_content' => 'required',
    		'second_col_content' => 'required',
    		'third_col_content' => 'required',
    		'four_col_content' => 'required',
        ]);

        $input = $request->except(['_token']);
        return DB::transaction(function() use($input){
            FooterContent::Create($input);
            return Redirect::route('admin.footer-contents.index')->with('success', 'Footer Content create successfully.');
        });
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $footer_content = FooterContent::find($id);
        // dd($landingpage);
        $this->validate($request, [
            'first_col_content' => 'required',
    		'second_col_content' => 'required',
    		'third_col_content' => 'required',
    		'four_col_content' => 'required',
        ]);

        $input = $request->except(['_token']);
        return DB::transaction(function() use($input, $footer_content){
            $footer_content->update($input);
            return Redirect::route('admin.footer-contents.index')->with('success', 'Footer Content update successfully.');
        });
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
