<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use App\Models\Admin\Setting;

use Redirect;
use Response;
use Illuminate\Support\Str;
use App\Traits\Authorizable;
use Image;
use File;
use Storage;
use DB;
use Helper;

class SettingController extends Controller
{
    use Authorizable;

    public function __construct() {
        $this->middleware('auth:admin');
    }

    public function index()
    {
        $setting = Setting::orderBy('created_at', 'desc')->first();
        return view('admin.setting.index', compact('setting'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'payment_currency' => 'required',
    		'wallet_address' => 'required',
            'networks' => 'required',
            'token_address' => 'required',
            'token_symbol' => 'required',
            'token_decimals' => 'required|numeric',
            // 'aws_s3_access_key' => 'required',
            // 'aws_s3_secret_key' => 'required',
            // 'aws_s3_default_region' => 'required',
            // 'aws_s3_bucket_name' => 'required'
        ]);

        $input = $request->except(['_token']);

        // if ($request->hasFile('token_image')) {
        //     // $randomSTR = randomSTR();
        //     // $file = $request->file('token_image');
        //     // $extension = $file->getClientOriginalName();
        //     // $file_name = $randomSTR . '.' . $file->getClientOriginalExtension();

        //     // //originals image save
        //     // $originalsImgPath = 'backend/assets/images/token_image/';
        //     // if(!File::exists($originalsImgPath)) {
        //     //     File::makeDirectory($originalsImgPath, $mode = 0777, true, true);
        //     // }
        //     // $orignal_img = Image::make($file->getRealPath());
        //     // $orignal_img->save($originalsImgPath.$file_name,80);

        //     // //thumbnail image save
        //     // $thumbnailPath = 'backend/assets/images/token_image/thumbnail/';
        //     // if(!File::exists($thumbnailPath)) {
        //     //     File::makeDirectory($thumbnailPath, $mode = 0777, true, true);
        //     // }
        //     // // $thumb_img = Image::make($file->getRealPath())->resize(100, 100);
        //     // $thumb_img = Image::make($file->getRealPath())->fit(100, 100, function ($constraint) {
        //     //     $constraint->aspectRatio(); //maintain image ratio
        //     // });
        //     // $thumb_img->save($thumbnailPath.$file_name,80);

        //     // $input['token_image'] = $file_name;

        //     $file = $request->file('token_image');
        //     $randomSTR = Helper::randomSTR();
        //     $file_name = $randomSTR . '.webp';

        //     //originals image save
        //     $original_file_path = '/';
        //     Helper::createDirecrotoryIfNotExist('token_images', $original_file_path);
        //     Storage::disk('token_images')->putFileAs($original_file_path, $file, $file_name);

        //     //thumbnail image save
        //     $thumbnailPath = '/thumbnail/';
        //     Helper::createDirecrotoryIfNotExist('token_images', $thumbnailPath);
        //     $thumb_img = Image::make($file->getRealPath())->fit(100, 100, function ($constraint) {
        //         $constraint->aspectRatio(); //maintain image ratio
        //     });
        //     $thumb_img->stream();
        //     Storage::disk('token_images')->put($thumbnailPath.$file_name, $thumb_img);

        //     $input['token_image'] = $file_name;
        // }

        $input['payment_currency'] = Str::lower($request->payment_currency);
        return DB::transaction(function() use($input){
            Setting::Create($input);
            return Redirect::route('admin.settings.index')->with('success', 'Settings saved successfully.');
        });
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $setting = Setting::findOrfail($id);
        $this->validate($request, [
    		'payment_currency' => 'required',
    		'wallet_address' => 'required',
            'networks' => 'required',
            'token_address' => 'required',
            'token_symbol' => 'required',
            'token_decimals' => 'required|numeric',
            // 'aws_s3_access_key' => 'required',
            // 'aws_s3_secret_key' => 'required',
            // 'aws_s3_default_region' => 'required',
            // 'aws_s3_bucket_name' => 'required'
        ]);

        $input = $request->except(['_token','_method']);

        // if ($request->hasFile('token_image')) {
        //     // $randomSTR = randomSTR();
        //     // $file = $request->file('token_image');
        //     // $extension = $file->getClientOriginalName();
        //     // $file_name = $randomSTR . '.' . $file->getClientOriginalExtension();

        //     // //delete old file
        //     // $originalsImgPath = 'backend/assets/images/token_image/'.$setting->token_image;
        //     // $thumbnailPath = 'backend/assets/images/token_image/thumbnail/'.$setting->token_image;
        //     // if(File::exists($originalsImgPath)) {
        //     //     File::delete($originalsImgPath);
        //     // }
        //     // if(File::exists($thumbnailPath)) {
        //     //     File::delete($thumbnailPath);
        //     // }

        //     // //originals image save
        //     // $originalsImgPath = 'backend/assets/images/token_image/';
        //     // if(!File::exists($originalsImgPath)) {
        //     //     File::makeDirectory($originalsImgPath, $mode = 0777, true, true);
        //     // }
        //     // $orignal_img = Image::make($file->getRealPath());
        //     // $orignal_img->save($originalsImgPath.$file_name,80);

        //     // //thumbnail image save
        //     // $thumbnailPath = 'backend/assets/images/token_image/thumbnail/';
        //     // if(!File::exists($thumbnailPath)) {
        //     //     File::makeDirectory($thumbnailPath, $mode = 0777, true, true);
        //     // }
        //     // // $thumb_img = Image::make($file->getRealPath())->resize(100, 100);
        //     // $thumb_img = Image::make($file->getRealPath())->fit(100, 100, function ($constraint) {
        //     //     $constraint->aspectRatio(); //maintain image ratio
        //     // });
        //     // $thumb_img->save($thumbnailPath.$file_name,80);

        //     // $input['token_image'] = $file_name;

        //     $file = $request->file('token_image');
        //     $randomSTR = Helper::randomSTR();
        //     $file_name = $randomSTR . '.webp';

        //     //originals image save
        //     $original_file_path = '/';
        //     Helper::createDirecrotoryIfNotExist('token_images', $original_file_path);
        //     Helper::deleteFileIfExist('token_images', $original_file_path . $setting->token_image);
        //     Storage::disk('token_images')->putFileAs($original_file_path, $file, $file_name);

        //     //thumbnail image save
        //     $thumbnail_path = '/thumbnail/';
        //     Helper::createDirecrotoryIfNotExist('token_images', $thumbnail_path);
        //     Helper::deleteFileIfExist('token_images', $thumbnail_path . $setting->token_image);
        //     $img_thumbnail = Image::make($file->getRealPath())->fit(50, 50, function ($constraint) {
        //         $constraint->aspectRatio(); //maintain image ratio
        //     });
        //     $img_thumbnail->stream();
        //     Storage::disk('token_images')->put($thumbnail_path.$file_name, $img_thumbnail);

        //     $input['token_image'] = $file_name;
        // }

        $input['payment_currency'] = Str::lower($request->payment_currency);

        return DB::transaction(function() use($input, $setting){
            $setting->update($input);
            return Redirect::route('admin.settings.index')->with('success', 'Payment settings updated successfully.');
        });
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
