<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\User;

use Carbon\Carbon;
use DataTables;
use Response;
use Mail;
use Redirect;
use Auth;
use Hash;
use Image;
use File;

class ChangePasswordController extends Controller
{
    public function index()
    {
        $user = Auth::user();
        return view('frontend.user.update_password', compact('user'));
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'current_password' => 'required|string|min:8',
            'new_password' => 'required|string|min:8',
            'new_confirm_password' => 'required|string|min:8|same:new_password',
        ]);

        if (Hash::check($request->current_password, Auth::user()->password)) {
            $user = Auth::user();
            $user->password = Hash::make($request->new_password);
            if ($user->save()) {
                return redirect()->route('change.password')->with('success', 'Password updated successfully!');
            } else {
                return redirect()->route('change.password')->with('error', 'Some problem for update password');
            }
        } else {
            return redirect()->route('change.password')->with('error', 'Current password is incorrect');
        }
    }
}
