<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Admin\Category;
use App\Models\Admin\Product;
use App\Models\Admin\Banner;
use App\Models\Admin\Page;

class CommonController extends Controller
{
    public function index()
    {
        $banners = Banner::Active()->get();
        $products = Product::Active()->latest()->get();
        return view('welcome', compact('products', 'banners'));
    }

    public function page(Request $request){
        $page_slug = $request->page_slug;
        $page = Page::where('slug', '=',$page_slug)->first();
        if(empty($page))
            abort(404,'Page not found');

        return view('frontend.page', compact('page'));
    }

}
