<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\Admin\Product;
use App\Models\Admin\Order;
use App\Models\Admin\OrderDetail;
use App\Models\Admin\Transaction;
use App\Models\ShoppingCart;

use Auth;
use Session;
use Cart;
use Mail;
use Redirect;
use Crypt;
use DB;
use Helper;

class OrderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {
            $raw = Order::query();
        
            // $raw = User::role('student')->get();
            $raw->where('orders.user_id', '=', Auth::id());
            // $raw->where('payment_status', '=', 'success');

            //date filter
            $date = $request->date;
            if ($date != '') {
                $date_range = explode('-', $request->date);
                $start_date = date('Y-m-d H:i:s', strtotime($date_range[0]));
                $end_date = date('Y-m-d H:i:s', strtotime($date_range[1]));
                $raw->whereBetween('orders.created_at',[$start_date, $end_date]);
            }

            $datatable = app('datatables')->of($raw)
        
            // ->editColumn('order_id', function ($raw) {
            //     return '<a href="'.route('orders.show', $raw->order_id).'">'.$raw->order_id.'</a>';
            // })

            ->editColumn('grand_total', function ($raw) {
                return Helper::setPriceFormat($raw->grand_total);
            })
            
            // ->editColumn('created_at', function ($raw) {
            //     if($raw->created_at == ''){
            //         return '-';
            //     }else{
            //         return date('Y-m-d', strtotime($raw->created_at));
            //     }
            // })

            ->editColumn('status', function ($raw) {
                if($raw->status == 'success'){
                    return '<span class="badge badge-pill badge-success">'.ucwords($raw->status).'</span>';
                }else{
                    return '<span class="badge badge-pill badge-danger">'.ucwords($raw->status).'</span>';
                }
            })

            ->addColumn('action', function ($raw) {
                $html = '<a href="'.route("orders.show", $raw->order_id).'"><i class="fas fa-eye"></i></a>';
                return $html;
            });
            return $datatable->make(true);
        }

        $orders = Order::where('user_id', '=', Auth::id())->get();
        // echo '<pre>';print_r($orders->toArray());exit;
        return view('frontend.user.orders.index',compact('orders'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($order_id)
    {
        $order = Order::where('order_id', '=', $order_id)->first();
        if(empty($order)){
            return Redirect::route('orders.index')->with('error','Order not found.');
        }
        // dd($order);
        return view('frontend.user.orders.show',compact('order'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
