<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Admin\Category;
use App\Models\Admin\Product;

class ProductController extends Controller
{
    protected $per_page = 8;

    public function index(Request $request, $category_slug, $subcategory_slug = '')
    {
        $category = Category::where('slug', $subcategory_slug)->first();
        $categories = Category::Active()->where('parent_id', '<>', null)->get();

        $products = Product::where('category_id', $category->id)->latest()->paginate($this->per_page);

        $letest_products = Product::Active()->where('category_id', $category->id)->latest()->take(10)->get();

        if($request->ajax())
        {
            return view('frontend.products.ajax_data', compact('products', 'categories', 'category_slug', 'subcategory_slug'))->render();
        }

        return view('frontend.products.index', compact('products', 'letest_products', 'categories', 'category_slug', 'subcategory_slug'));
    }

    public function getProductBySlug($slug)
    {
        $product = Product::where('slug', '=', $slug)->firstOrFail();
        $releted_products = Product::Active()->whereNotIn('slug', [$slug])->latest()->get();

        return view('frontend.products.products_details', compact('product', 'releted_products'));
    }

    public function latestProduct(Request $request){

        $categories = Category::Active()->where('parent_id', '<>', null)->get();

        $products = Product::Active()->latest()->paginate($this->per_page);

        $letest_products = Product::Active()->latest()->take(10)->get();

        if($request->ajax()){
            return view('frontend.products.ajax_data', compact('products', 'categories'))->render();
        }

        return view('frontend.products.latest_product', compact('products', 'categories', 'letest_products'));
    }

}
