<?php

namespace App\Models\Admin;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Cviebrock\EloquentSluggable\Sluggable;

use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class FooterContent extends Model
{
    use HasFactory;

    protected $fillable = [
        'first_col_content', 'first_col_status', 'second_col_content', 'second_col_status', 'third_col_content', 'third_col_status', 'four_col_content', 'four_col_status', 'meta_title', 'meta_description', 'meta_keywords', 'meta_author', 'is_active'
    ];

    public function scopeActive($query)
    {
        return $query->where('is_active', '=', true);
    }

    public function scopeDeactive($query)
    {
        return $query->where('is_active', '=', false);
    }
}
