<?php

namespace App\Models\Admin;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Cviebrock\EloquentSluggable\Sluggable;

use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Page extends Model
{
    use HasFactory, Sluggable;

    protected $fillable = [
        'slug', 'page_name', 'description', 'meta_title', 'meta_description', 'meta_keywords', 'meta_author', 'is_active'
    ];

    public function sluggable(): array
    {
        return [
            'slug' => [
                'source' => 'page_name'
            ]
        ];
    }

    public function scopeActive($query)
    {
        return $query->where('is_active', '=', true);
    }

    public function scopeDeactive($query)
    {
        return $query->where('is_active', '=', false);
    }
}
