<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('landing_pages', function (Blueprint $table) {
            $table->id();
            $table->text('page1_title')->nullable();
            $table->text('page2_title')->nullable();
            $table->text('page3_title')->nullable();
            $table->longtext('page1_content')->nullable();
            $table->longtext('page2_content')->nullable();
            $table->longtext('page3_content')->nullable();
            $table->longtext('description')->nullable();
            $table->longtext('meta_title')->nullable();
            $table->longtext('meta_description')->nullable();
            $table->longtext('meta_keywords')->nullable();
            $table->longtext('meta_author')->nullable();
            $table->boolean('is_active')->default(true)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('landing_pages');
    }
};
