<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('settings', function (Blueprint $table) {
            $table->id();
            $table->string('payment_currency')->default('eth')->nullable();
            $table->string('wallet_address')->nullable();
            $table->string('networks')->nullable();
            $table->string('token_address')->nullable();
            $table->string('token_symbol')->nullable();
            $table->string('token_decimals')->nullable();
            $table->string('token_image')->nullable();
            $table->string('aws_s3_access_key')->nullable();
            $table->string('aws_s3_secret_key')->nullable();
            $table->string('aws_s3_default_region')->nullable();
            $table->string('aws_s3_bucket_name')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('settings');
    }
};
