<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('categories', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('parent_id')->nullable();
            $table->string('slug')->unique();
            $table->string('name')->nullable();
            $table->string('color_code')->nullable();
            $table->text('meta_title')->nullable();
            $table->text('meta_author')->nullable();
            $table->text('meta_keyword')->nullable();
            $table->longtext('meta_description')->nullable();
            $table->enum('status', [0, 1])->default(1)->nullable();
            $table->timestamps();

            $table->foreign('parent_id')
            ->references('id')->on('categories')
            ->onDelete('cascade');

            $table->unique(['parent_id', 'name']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('categories');
    }
};
