<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('admin_id');
            $table->unsignedBigInteger('category_id');
            $table->string('slug')->nullable();
            $table->string('name')->nullable();
            $table->double('price', 8,2)->nullable();
            $table->double('old_price', 8,2)->nullable();
            $table->longtext('description')->nullable();
            $table->integer('quantity')->default(0)->nullable();
            $table->json('add_edit_manage_product_attributes')->nullable();
            $table->json('product_attributes')->nullable();
            $table->longtext('meta_title')->nullable();
            $table->longtext('meta_description')->nullable();
            $table->longtext('meta_keywords')->nullable();
            $table->longtext('meta_author')->nullable();
            $table->boolean('is_active')->default(true)->nullable();
            $table->timestamps();

            $table->foreign('admin_id')->references('id')->on('admins');
            $table->foreign('category_id')->references('id')->on('categories');
        });

        Schema::create('product_images', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('product_id')->nullable();
            $table->text('file_name')->nullable();
            $table->boolean('is_active')->default(true)->nullable();
            $table->timestamps();

            $table->foreign('product_id')->references('id')->on('products')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('product_images');
        Schema::dropIfExists('products');
    }
};
