<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id')->nullable();
            $table->string('guest_id')->nullable();
            $table->string('order_id')->nullable();
            $table->integer('quantity')->default(1)->nullable();
            $table->decimal('subtotal', 16, 8)->default(0)->nullable();
            $table->decimal('tax', 16, 8)->default(0)->nullable();
            $table->decimal('service_fee', 16, 8)->default(0)->nullable();
            $table->decimal('delivery_charge', 16, 8)->default(0)->nullable();
            $table->decimal('discount', 16, 8)->default(0)->nullable();
            $table->decimal('grand_total', 16, 8)->default(0)->nullable();

            $table->longtext('billing_address')->nullable();
            $table->longtext('shipping_address')->nullable();
            $table->longtext('order_notes')->nullable();

            $table->string('payment_currency')->nullable();
            $table->longtext('payment_details')->nullable();
            $table->longtext('cart_data')->nullable();

            $table->string('order_status')->default('orderd')->nullable();
            $table->enum('status', ['success', 'cancel', 'pending'])->default('pending')->nullable();

            $table->boolean('is_active')->default(true)->nullable();
            $table->timestamps();

            $table->foreign('user_id')->references('id')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('orders');
    }
};
