<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateShoppingcartTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create(config('cart.database.table'), function (Blueprint $table) {
            // $table->string('identifier')->nullable();
            // $table->string('instance')->nullable();
            // $table->longText('content')->nullable();
            $table->id('id');
            $table->unsignedBigInteger('user_id')->nullable();
            $table->string('rowId')->nullable();
            $table->unsignedBigInteger('product_id')->nullable();
            $table->string('product_name')->nullable();
            $table->string('product_image')->nullable();
            $table->string('quantity')->default('1')->nullable();
            $table->double('price', 8,2)->nullable();
            $table->string('color')->nullable();
            $table->string('size')->nullable();
            $table->double('subtotal', 8,2)->nullable();
            $table->double('tax', 8,2)->nullable();
            $table->double('cart_total', 8,2)->nullable();
            $table->longText('cart_data')->nullable();
            $table->nullableTimestamps();

            // $table->primary(['identifier', 'instance']);

            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');

            $table->foreign('product_id')->references('id')->on('products')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down()
    {
        Schema::drop(config('cart.database.table'));
    }
}
