<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

use App\Models\Admin\Permission;

use Carbon\Carbon;

class PermissionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        // 'User' portal permisssions
        $data = [
            ['name'=> 'view_roles', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_roles', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_roles', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_roles', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_permissions', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_permissions', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_permissions', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_permissions', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_admins', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_admins', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_admins', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_admins', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_pages', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_pages', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_pages', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_pages', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_landing-pages', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_landing-pages', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_landing-pages', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_landing-pages', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_banners', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_banners', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_banners', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_banners', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_blog-categories', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_blog-categories', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_blog-categories', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_blog-categories', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_blogs', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_blogs', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_blogs', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_blogs', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_footers', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_footers', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_footers', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_footers', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_footer-contents', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_footer-contents', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_footer-contents', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_footer-contents', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_logos', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_logos', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_logos', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_logos', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_advertisements', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_advertisements', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_advertisements', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_advertisements', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_settings', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_settings', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_settings', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_settings', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_categories', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_categories', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_categories', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_categories', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_attributes', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_attributes', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_attributes', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_attributes', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_attribute-values', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_attribute-values', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_attribute-values', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_attribute-values', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_products', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_products', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_products', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_products', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_orders', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_orders', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_orders', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_orders', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_order-details', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_order-details', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_order-details', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_order-details', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],

            ['name'=> 'view_transactions', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'add_transactions', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'edit_transactions', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
            ['name'=> 'delete_transactions', 'guard_name'=> 'admin', 'created_at' => Carbon::now(), 'updated_at' => Carbon::now()],
        ];

        Permission::insert($data);

    }
}
