@extends('admin.layout.app')

@section('content')
<!-- [ Main Content ] start -->
<section class="pcoded-main-container">
    <div class="pcoded-wrapper">
        <div class="pcoded-content">
            <div class="pcoded-inner-content">
                <!-- [ breadcrumb ] start -->
                <div class="page-header">
                    <div class="page-block">
                        <div class="row align-items-center">
                            <div class="col-md-12">
                                <div class="page-header-title">
                                    <h5 class="m-b-10">Attribute</h5>
                                </div>
                                <ul class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{ route('admin.home') }}"><i class="feather icon-home"></i></a></li>
                                    <li class="breadcrumb-item"><a href="javascript:void(0)">Attribute</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- [ breadcrumb ] end -->
                <div class="main-body">
                    <div class="page-wrapper">
                        <!-- [ Main Content ] start -->
                        <div class="row">

                            <!-- [ Hover-table ] start -->
                            <div class="col-xl-12">

                                @include('admin.layout.session')

                                <div class="card">
                                    <div class="card-header">
                                        <h5>Add New Attribute</h5>
                                    </div>
                                    <div class="card-body">
                                        <form action="{{ route('admin.attributes.store') }}" method="post" enctype="multipart/form-data" class="attribute_form">
                                        @csrf

                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="position-relative form-group">
                                                    @include('components._categoryDropDown', ['is_required' => false, 'is_multiple' => false, 'is_label' => true, 'is_dash' => true, 'is_subcategory_display' => false])
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="position-relative form-group">
                                                    <label>Code</label>
                                                    <input type="text" name="code" placeholder="Enter Code" class="form-control" value="{{old('code')}}" required>
                                                    @if ($errors->has('code'))
                                                        <div class="invalid-feedback">{{ $errors->first('code') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="position-relative form-group">
                                                    <label>Name</label>
                                                    <input type="text" name="name" placeholder="Enter Name" class="form-control" value="{{old('name')}}" required>
                                                    @if ($errors->has('name'))
                                                        <div class="invalid-feedback">{{ $errors->first('name') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>

                                        <!-- <div class="row">
                                            <div class="col-md-6">
                                                <div class="position-relative form-group">
                                                    <label>Frontend Type</label>
                                                    <input type="text" name="frontend_type" placeholder="Enter Name" class="form-control" value="{{old('frontend_type')}}">
                                                    @if ($errors->has('frontend_type'))
                                                        <div class="invalid-feedback">{{ $errors->first('frontend_type') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <label>Is Filterable</label>
                                                <div class="custom-control custom-radio">
                                                    <input type="radio" id="isFilterable1" name="is_filterable" class="custom-control-input" value="1">
                                                    <label class="custom-control-label" for="isFilterable1">Yes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    <input type="radio" id="isFilterable2" name="is_filterable" class="custom-control-input" value="0">
                                                    <label class="custom-control-label" for="isFilterable2">No</label>
                                                </div>
                                                @if ($errors->has('is_filterable'))
                                                    <div class="invalid-feedback">{{ $errors->first('is_filterable') }}</div>
                                                @endif
                                            </div>
                                            <div class="col-md-3">
                                                <label>Is Required</label>
                                                <div class="custom-control custom-radio">
                                                    <input type="radio" id="isRequired1" name="customRadio" class="custom-control-input" value="1">
                                                    <label class="custom-control-label" for="isRequired1">Yes</label>
                                                </div>
                                                <div class="custom-control custom-radio">
                                                    <input type="radio" id="isRequired2" name="customRadio" class="custom-control-input" value="0">
                                                    <label class="custom-control-label" for="isRequired2">No</label>
                                                </div>
                                            </div>
                                        </div> -->

                                        <button type="submit" class="btn btn-glow-primary btn-primary btn-sm">Submit</button>
                                        <a href="{{ route('admin.attributes.index') }}" class="btn btn-glow-dark btn-dark btn-sm"><i class="feather icon-chevrons-left"></i>Back</a>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <!-- [ Hover-table ] end -->


                        </div>
                        <!-- [ Main Content ] end -->
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- [ Main Content ] end -->
@endsection

@push('js')
<script type="text/javascript">
$(function(){
    $('.main_sku').addClass('active');
    $('.main_sku').addClass('pcoded-trigger');
    $('.attributes').addClass('active');
});
</script>
@endpush
