@extends('admin.layout.auth')

@section('content')
<div class="auth-wrapper">
    <div class="auth-content">
        <div class="auth-bg">
            <span class="r"></span>
            <span class="r s"></span>
            <span class="r s"></span>
            <span class="r"></span>
        </div>
        <div class="card">
            <div class="card-body text-center">
                <div class="mb-4">
                    <i class="feather icon-unlock auth-icon"></i>
                </div>

                @include('admin.layout.session')

                <h3 class="mb-4">Login</h3>
                <form class="form-horizontal admin_login_form" role="form" method="POST" action="{{ route('admin.login') }}">
                    @csrf
                    <div class="form-group">
                        <input id="email" type="email" class="form-control {{ $errors->has('email') ? ' is-invalid' : '' }}" name="email" value="{{ old('email') }}" autofocus placeholder="Email" required>
                        @if ($errors->has('email'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('email') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="form-group">
                        <input id="password" type="password" class="form-control {{ $errors->has('email') ? ' is-invalid' : '' }}" name="password" placeholder="Password" required>
                        @if ($errors->has('password'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('password') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="form-group">
                        <input id="one_time_password" type="password" class="form-control {{ $errors->has('one_time_password') ? ' is-invalid' : '' }}" name="one_time_password" placeholder="One Time Password" required>
                        @if ($errors->has('one_time_password'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('one_time_password') }}</strong>
                            </span>
                        @endif
                    </div>
                    <button type="submit" class="btn btn-primary shadow-2 mb-4">Login</button>
                </form>
                <!-- <p class="mb-2 text-muted">Forgot password? <a href="auth-reset-password.html">Reset</a></p>
                <p class="mb-0 text-muted">Don’t have an account? <a href="auth-signup.html">Signup</a></p> -->
            </div>
        </div>
    </div>
</div>

@endsection
