@extends('admin.layout.app')

@section('content')
<!-- [ Main Content ] start -->
<section class="pcoded-main-container">
    <div class="pcoded-wrapper">
        <div class="pcoded-content">
            <div class="pcoded-inner-content">
                <!-- [ breadcrumb ] start -->
                <div class="page-header">
                    <div class="page-block">
                        <div class="row align-items-center">
                            <div class="col-md-12">
                                <div class="page-header-title">
                                    <h5 class="m-b-10">Banners</h5>
                                </div>
                                <ul class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{ route('admin.home') }}"><i class="feather icon-home"></i></a></li>
                                    <li class="breadcrumb-item"><a href="javascript:void(0)">Banners</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- [ breadcrumb ] end -->
                <div class="main-body">
                    <div class="page-wrapper">
                        <!-- [ Main Content ] start -->
                        <div class="row">

                            <!-- [ Hover-table ] start -->
                            <div class="col-xl-12">

                                @include('admin.layout.session')

                                <div class="card">
                                    <div class="card-header">
                                        <h5>Edit Banner (1920 x 650)</h5>
                                        <div class="d-inline-block dropdown float-right">
                                            <form action="{{ route('admin.banners.destroy', $banner->id) }}" method="post">
                                                <button type="submit" class="btn btn-glow-danger btn-danger btn-sm" data-toggle="tooltip" data-original-title="Delete"><i class="feather icon-trash-2"></i>Delete</button>
                                                @method('delete')
                                                @csrf
                                            </form>
                                        </div>
                                    </div>
                                    <div class="card-body">
                                        <form action="{{ route('admin.banners.update', $banner->id) }}" method="post" enctype="multipart/form-data" class="banner_form">
                                        @csrf
                                        @method('put')

                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="position-relative form-group">
                                                    <label>Caption</label>
                                                    <input type="text" name="caption" placeholder="Enter Caption" class="form-control" value="{{$banner->caption}}" required>
                                                    @if ($errors->has('caption'))
                                                        <div class="invalid-feedback">{{ $errors->first('caption') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="position-relative form-group">
                                                    <label>Image</label>
                                                    <input type="file" name="image" class="form-control">
                                                    <small class="form-text text-muted">Accepted formats: png, jpg, jpeg. banner size (1920 x 650)</small>
                                                    @if ($errors->has('image'))
                                                        <div class="invalid-feedback">{{ $errors->first('image') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                @if($banner->image != '')
                                                    <img src="{{asset('storage/banners/thumbnail/')}}/{{$banner->image}}">
                                                @endif
                                            </div>
                                        </div>

                                        <button type="submit" class="btn btn-glow-primary btn-primary btn-sm">Submit</button>
                                        <a href="{{ route('admin.banners.index') }}" class="btn btn-glow-dark btn-dark btn-sm" data-toggle="tooltip" data-original-title="Back"><i class="feather icon-chevrons-left"></i>Back</a>
                                    </div>
                                </div>
                            </div>
                            <!-- [ Hover-table ] end -->

                            
                        </div>
                        <!-- [ Main Content ] end -->
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- [ Main Content ] end -->
@endsection

@push('js')
<script type="text/javascript">
$(function(){
    $('.banners').addClass('active');
});
</script>
@endpush
