@extends('admin.layout.app')

@section('content')
<!-- [ Main Content ] start -->
<section class="pcoded-main-container">
    <div class="pcoded-wrapper">
        <div class="pcoded-content">
            <div class="pcoded-inner-content">
                <!-- [ breadcrumb ] start -->
                <div class="page-header">
                    <div class="page-block">
                        <div class="row align-items-center">
                            <div class="col-md-12">
                                <div class="page-header-title">
                                    <h5 class="m-b-10">Footer</h5>
                                </div>
                                <ul class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{ route('admin.home') }}"><i class="feather icon-home"></i></a></li>
                                    <li class="breadcrumb-item"><a href="javascript:void(0)">Footer</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- [ breadcrumb ] end -->
                <div class="main-body">
                    <div class="page-wrapper">
                        <!-- [ Main Content ] start -->
                        <div class="row">

                            <!-- [ Hover-table ] start -->
                            <div class="col-xl-12">

                                @include('admin.layout.session')

                                <div class="card">
                                    <div class="card-header">
                                        <h5>Footer</h5>
                                        <div class="d-inline-block dropdown float-right">
                                            <a href="{{ route('admin.footers.index') }}" class="btn btn-glow-dark btn-dark btn-sm"><i class="feather icon-chevrons-left"></i>Back</a>
                                        </div>
                                    </div>
                                    <div class="card-body">
                                        @if(empty($footer))
                                            <form action="{{ route('admin.footers.store') }}" method="post" enctype="multipart/form-data" class="footer_form">
                                            @csrf
                                        @else
                                            <form action="{{ route('admin.footers.update', $footer->id ) }}" method="post" enctype="multipart/form-data" class="footer_form">
                                            @csrf
                                            @method('PUT')
                                        @endif

                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="position-relative form-group">
                                                    <label>Copyright</label>
                                                    <input type="text" name="copyright" class="form-control" placeholder="Enter Copyright" required value="{!! empty($footer) ? old('copyright') : $footer->copyright !!}">
                                                    @if ($errors->has('copyright'))
                                                        <div class="invalid-feedback">{{ $errors->first('copyright') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="position-relative form-group">
                                                    <label>Phone</label>
                                                    <input type="text" name="phone" class="form-control" placeholder="Enter Phone" required value="{!! empty($footer) ? old('phone') : $footer->phone !!}">
                                                    @if ($errors->has('phone'))
                                                        <div class="invalid-feedback">{{ $errors->first('phone') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="position-relative form-group">
                                                    <label>Email</label>
                                                    <input type="email" name="email" class="form-control" placeholder="Enter Email" required value="{!! empty($footer) ? old('email') : $footer->email !!}">
                                                    @if ($errors->has('email'))
                                                        <div class="invalid-feedback">{{ $errors->first('email') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="position-relative form-group">
                                                    <label>Address</label>
                                                    <input name="address" class="form-control" placeholder="Enter Address" required value="{!! empty($footer) ? old('address') : $footer->address !!}">
                                                    @if ($errors->has('address'))
                                                        <div class="invalid-feedback">{{ $errors->first('address') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="position-relative form-group">
                                                    <label class="radio-inline">
                                                        <input type="radio" class="styled_radio" name="is_active" required="" value="1" {{ !empty($footer) ? $footer->is_active == 1 ? 'checked' : '' : 'checked' }}>
                                                        Active
                                                    </label>

                                                    <label class="radio-inline">
                                                        <input type="radio" class="styled_radio" name="is_active" value="0"@ {{ !empty($footer) ? $footer->is_active == 0 ? 'checked' : '' : '' }}>
                                                        Deactive
                                                    </label>
                                                    @if ($errors->has('is_active'))
                                                        <label id="status-error" class="validation-error-label" for="status">
                                                            {{ $errors->first('is_active') }}
                                                        </label>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <button type="submit" class="btn btn-glow-primary btn-primary btn-sm">Submit</button>
                                        <a href="{{ route('admin.footers.index') }}" class="btn btn-glow-dark btn-dark btn-sm"><i class="feather icon-chevrons-left"></i>Back</a>
                                    </div>
                                </div>
                            </div>
                            

                            
                        </div>
                       
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- [ Main Content ] end -->
@endsection

@push('js')
<script type="text/javascript">
$(function(){
    $('.main_footers').addClass('active');
    $('.main_footers').addClass('pcoded-trigger');
    $('.footers').addClass('active');
});
</script>
@endpush
