@extends('admin.layout.auth')

@section('content')

<div class="auth-wrapper">
    <div class="auth-content">
        <div class="auth-bg">
            <span class="r"></span>
            <span class="r s"></span>
            <span class="r s"></span>
            <span class="r"></span>
        </div>
        <div class="card">
            <div class="card-body text-center">
                <div class="mb-4">
                    <i class="feather icon-unlock auth-icon"></i>
                </div>

                @include('admin.layout.session')

                @if($errors->any())
                    <div class="alert alert-danger alert-dismissible fade show" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
                        {!! implode('', $errors->all('<div>:message</div>')) !!}
                    </div>
                @endif

                <h3 class="mb-4">One Time Password</h3>
                <form class="form-horizontal admin_login_form" role="form" method="POST" action="{{ route('admin.2fa') }}">
                {{ csrf_field() }}
                    <div class="form-group">
                        <input id="one_time_password" type="number" class="form-control" name="one_time_password" placeholder="Enter One Time Password" required autofocus>
                        @if ($errors->has('one_time_password'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('one_time_password') }}</strong>
                            </span>
                        @endif
                    </div>
                    <button type="submit" class="btn btn-primary shadow-2 mb-4">Submit</button>
                </form>
            </div>
        </div>
    </div>
</div>

@endsection
