<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name') }}</title>

    <!-- Styles -->
    <!-- Favicon icon -->
    <!-- <link rel="icon" href="{{ asset('/backend/assets/images/favicon.ico') }}" type="image/x-icon"> -->

    <!-- Favicon Icon -->
    <link rel="shortcut icon" type="image/x-icon" href="{{asset('/frontend/assets/images/favicon/favicon.ico')}}">
    <link rel="apple-touch-icon" sizes="57x57" href="{{asset('/frontend/assets/images/favicon/')}}/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="{{asset('/frontend/assets/images/favicon//apple-icon-60x60.png')}}">
    <link rel="apple-touch-icon" sizes="72x72" href="{{asset('/frontend/assets/images/favicon//apple-icon-72x72.png')}}">
    <link rel="apple-touch-icon" sizes="76x76" href="{{asset('/frontend/assets/images/favicon//apple-icon-76x76.png')}}">
    <link rel="apple-touch-icon" sizes="114x114" href="{{asset('/frontend/assets/images/favicon//apple-icon-114x114.png')}}">
    <link rel="apple-touch-icon" sizes="120x120" href="{{asset('/frontend/assets/images/favicon/apple-icon-120x120.png')}}">
    <link rel="apple-touch-icon" sizes="144x144" href="{{asset('/frontend/assets/images/favicon/apple-icon-144x144.png')}}">
    <link rel="apple-touch-icon" sizes="152x152" href="{{asset('/frontend/assets/images/favicon/apple-icon-152x152.png')}}">
    <link rel="apple-touch-icon" sizes="180x180" href="{{asset('/frontend/assets/images/favicon/apple-icon-180x180.png')}}">
    <link rel="icon" type="image/png" sizes="192x192"  href="{{asset('/frontend/assets/images/favicon/android-icon-192x192.png')}}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{asset('/frontend/assets/images/favicon/favicon-32x32.png')}}">
    <link rel="icon" type="image/png" sizes="96x96" href="{{asset('/frontend/assets/images/favicon//favicon-96x96.png')}}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{asset('/frontend/assets/images/favicon/favicon-16x16.png')}}">
    <link rel="manifest" href="{{asset('/frontend/assets/images/favicon/manifest.json')}}">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="{{asset('/frontend/assets/images/favicon/ms-icon-144x144.png')}}">
    <meta name="theme-color" content="#ffffff">

    <!-- fontawesome icon -->
    <link rel="stylesheet" href="{{ asset('/backend/assets/fonts/fontawesome/css/fontawesome-all.min.css') }}">
    <!-- animation css -->
    <link rel="stylesheet" href="{{ asset('/backend/assets/plugins/animation/css/animate.min.css') }}">
    <!-- vendor css -->
    <link rel="stylesheet" href="{{ asset('/backend/assets/css/style.css') }}">

    <link href="{{ asset('/backend/assets/css/dataTables.bootstrap4.min.css') }}" rel="stylesheet">
    <link href="{{ asset('/backend/assets/css/rowReorder.dataTables.min.css') }}" rel="stylesheet">
    <link href="{{ asset('/backend/assets/css/responsive.bootstrap4.min.css') }}" rel="stylesheet">

    <link href="{{ asset('/backend/assets/css/jquery-confirm.css') }}" rel="stylesheet" media="all">
    <link href="{{ asset('/backend/assets/css/jquery.loadingModal.css') }}" rel="stylesheet" media="all">

    <link href="{{ asset('/backend/assets/css/sweetalert2.min.css') }}" rel="stylesheet" media="all">

    <link href="{{ asset('/backend/assets/css/select2.min.css') }}" rel="stylesheet" />

    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link href="{{ asset('/backend/assets/plugins/choice/choices.css') }}" rel="stylesheet" />

    <link href="{{ asset('/backend/assets/css/custom.css') }}" rel="stylesheet" />

    <!-- Scripts -->
    <script>
        window.Laravel = <?php echo json_encode([
            'csrfToken' => csrf_token(),
        ]); ?>
    </script>

    @stack('css_link')

    @stack('css')
    <?php ini_set('max_execution_time', 0); ?>

</head>
<body>

    <!-- [ Pre-loader ] start -->
    <div class="loader-bg">
        <div class="loader-track">
            <div class="loader-fill"></div>
        </div>
    </div>
    <!-- [ Pre-loader ] End -->
    <!-- [ navigation menu ] start -->
    <nav class="pcoded-navbar">
        <div class="navbar-wrapper">
            <div class="navbar-brand header-logo">
                <a href="{{ route('admin.home') }}" class="b-brand">
                    <div class="b-bg">
                        <i class="feather icon-trending-up"></i>
                    </div>
                    <span class="b-title">{{ config('app.name') }}</span>
                </a>
                <a class="mobile-menu" id="mobile-collapse" href="javascript:"><span></span></a>
            </div>
            <div class="navbar-content scroll-div">
                <ul class="nav pcoded-inner-navbar">
                    <li class="nav-item pcoded-menu-caption">
                        <label>Navigation</label>
                    </li>
                    <li class="nav-item dashboard">
                        <a href="{{ route('admin.home') }}" class="nav-link "><span class="pcoded-micon"><i class="feather icon-home"></i></span><span class="pcoded-mtext">Dashboard</span></a>
                    </li>
                    <!-- <li class="nav-item pcoded-menu-caption">
                        <label>UI Element</label>
                    </li> -->
                    <!-- <li data-username="basic components Button Alert Badges breadcrumb Paggination progress Tooltip popovers Carousel Cards Collapse Tabs pills Modal Grid System Typography Extra Shadows Embeds" class="nav-item pcoded-hasmenu">
                        <a href="javascript:" class="nav-link "><span class="pcoded-micon"><i class="feather icon-box"></i></span><span class="pcoded-mtext">Components</span></a>
                        <ul class="pcoded-submenu">
                            <li class=""><a href="bc_button.html" class="">Button</a></li>
                            <li class=""><a href="bc_badges.html" class="">Badges</a></li>
                            <li class=""><a href="bc_breadcrumb-pagination.html" class="">Breadcrumb & paggination</a></li>
                            <li class=""><a href="bc_collapse.html" class="">Collapse</a></li>
                            <li class=""><a href="bc_tabs.html" class="">Tabs & pills</a></li>
                            <li class=""><a href="bc_typography.html" class="">Typography</a></li>
                            <li class=""><a href="icon-feather.html" class="">Feather<span class="pcoded-badge label label-danger">NEW</span></a></li>
                        </ul>
                    </li> -->

                    @can('view_admins', 'add_admins', 'edit_admins', 'delete_admins')
                        <li class="nav-item admins">
                            <a href="{{ route('admin.admins.index') }}" class="nav-link "><span class="pcoded-micon"><i class="feather icon-user"></i></span><span class="pcoded-mtext">Admins</span></a>
                        </li>
                    @endcan

                    @can('view_categories', 'add_categories', 'edit_categories', 'delete_categories')
                        <li data-username="basic components Button Alert Badges breadcrumb Paggination progress Tooltip popovers Carousel Cards Collapse Tabs pills Modal Grid System Typography Extra Shadows Embeds" class="nav-item pcoded-hasmenu main_categories">
                            <a href="javascript:" class="nav-link "><span class="pcoded-micon"><i class="feather icon-list"></i></span><span class="pcoded-mtext">Manage Categories</span></a>
                            <ul class="pcoded-submenu">
                                @can('view_categories', 'add_categories', 'edit_categories', 'delete_categories')
                                    <li class="categories"><a href="{{ route('admin.categories.index') }}">Categories</a></li>
                                @endcan
                            </ul>
                        </li>
                    @endcan

                    @can('view_attributes', 'add_attributes', 'edit_attributes', 'delete_attributes', 'view_attribute-values', 'add_attribute-values', 'edit_attribute-values', 'delete_attribute-values')
                        <li data-username="basic components Button Alert Badges breadcrumb Paggination progress Tooltip popovers Carousel Cards Collapse Tabs pills Modal Grid System Typography Extra Shadows Embeds" class="nav-item pcoded-hasmenu main_sku">
                            <a href="javascript:" class="nav-link "><span class="pcoded-micon"><i class="feather icon-list"></i></span><span class="pcoded-mtext">Manage SKU</span></a>
                            <ul class="pcoded-submenu">
                                @can('view_attributes', 'add_attributes', 'edit_attributes', 'delete_attributes')
                                    <li class="attributes"><a href="{{ route('admin.attributes.index') }}">Manage Attributes</a></li>
                                @endcan
                                @can('view_attribute-values', 'add_attribute-values', 'edit_attribute-values', 'delete_attribute-values')
                                    <li class="attribute_values"><a href="{{ route('admin.attribute-values.index') }}">Manage Attribute Values</a></li>
                                @endcan
                            </ul>
                        </li>
                    @endcan

                    @can('view_products', 'add_products', 'edit_products', 'delete_products')
                        <li data-username="basic components Button Alert Badges breadcrumb Paggination progress Tooltip popovers Carousel Cards Collapse Tabs pills Modal Grid System Typography Extra Shadows Embeds" class="nav-item pcoded-hasmenu main_products">
                            <a href="javascript:" class="nav-link "><span class="pcoded-micon"><i class="feather icon-list"></i></span><span class="pcoded-mtext">Manage Products</span></a>
                            <ul class="pcoded-submenu">
                                @can('view_products', 'add_products', 'edit_products', 'delete_products')
                                    <li class="products"><a href="{{ route('admin.products.index') }}">Products</a></li>
                                @endcan
                            </ul>
                        </li>
                    @endcan

                    @can('view_orders', 'add_orders', 'edit_orders', 'delete_orders')
                        <li class="nav-item orders">
                            <a href="{{ route('admin.orders.index') }}" class="nav-link "><span class="pcoded-micon"><i class="feather icon-image"></i></span><span class="pcoded-mtext">Orders</span></a>
                        </li>
                    @endcan

                    @can('view_banners', 'add_banners', 'edit_banners', 'delete_banners')
                        <li class="nav-item banners">
                            <a href="{{ route('admin.banners.index') }}" class="nav-link "><span class="pcoded-micon"><i class="feather icon-image"></i></span><span class="pcoded-mtext">Banners</span></a>
                        </li>
                    @endcan

                    {{--@can('view_orders', 'add_orders', 'edit_orders', 'delete_orders')
                        <li class="nav-item orders">
                            <a href="{{ route('admin.orders.index') }}" class="nav-link "><span class="pcoded-micon"><i class="feather icon-shopping-cart"></i></span><span class="pcoded-mtext">Orders</span></a>
                        </li>
                    @endcan--}}

                    @can('view_pages', 'view_pages', 'view_pages', 'view_pages', 'view_landing-pages', 'add_landing-pages', 'edit_landing-pages', 'delete_landing-pages')
                    <li data-username="basic components Button Alert Badges breadcrumb Paggination progress Tooltip popovers Carousel Cards Collapse Tabs pills Modal Grid System Typography Extra Shadows Embeds" class="nav-item pcoded-hasmenu main_pages">
                        <a href="javascript:" class="nav-link "><span class="pcoded-micon"><i class="feather icon-file-text"></i></span><span class="pcoded-mtext">Manage Pages</span></a>
                        <ul class="pcoded-submenu">
                            @can('view_pages', 'add_pages', 'edit_pages', 'delete_pages')
                                <li class="pages"><a href="{{ route('admin.pages.index') }}">Other Pages</a></li>
                            @endcan
                            @can('view_landing-pages', 'add_landing-pages', 'edit_landing-pages', 'delete_landing-pages')
                                <li class="landing-pages"><a href="{{ route('admin.landing-pages.index') }}">Landing Page</a></li>
                            @endcan
                        </ul>
                    </li>
                    @endcan

                    @can('view_footers', 'add_footers', 'edit_footers', 'delete_footers')
                        <li class="nav-item footers">
                            <a href="{{ route('admin.footers.index') }}" class="nav-link "><span class="pcoded-micon"><i class="feather icon-image"></i></span><span class="pcoded-mtext">Footer Copyright & Contact</span></a>
                        </li>
                    @endcan

                    {{--@can('view_footer-contents', 'view_footer-contents', 'view_footer-contents', 'view_footer-contents', 'view_footers', 'add_footers', 'edit_footers', 'delete_footers')
                    <li data-username="basic components Button Alert Badges breadcrumb Paggination progress Tooltip popovers Carousel Cards Collapse Tabs pills Modal Grid System Typography Extra Shadows Embeds" class="nav-item pcoded-hasmenu main_footers">
                        <a href="javascript:" class="nav-link "><span class="pcoded-micon"><i class="feather icon-book"></i></span><span class="pcoded-mtext">Manage Footer</span></a>
                        <ul class="pcoded-submenu">
                            @can('view_footer-contents', 'add_footer-contents', 'edit_footer-contents', 'delete_footer-contents')
                                <li class="footer-content"><a href="{{ route('admin.footer-contents.index') }}">Footer Content</a></li>
                            @endcan
                            @can('view_footers', 'add_footers', 'edit_footers', 'delete_footers')
                                <li class="footers"><a href="{{ route('admin.footers.index') }}">Footer Copyright & Contact</a></li>
                            @endcan
                        </ul>
                    </li>
                    @endcan--}}

                    @can('view_blog-categories', 'add_blog-categories', 'edit_blog-categories', 'delete_blog-categories','view_blogs', 'add_blogs', 'edit_blogs', 'delete_blogs')
                    <li data-username="basic components Button Alert Badges breadcrumb Paggination progress Tooltip popovers Carousel Cards Collapse Tabs pills Modal Grid System Typography Extra Shadows Embeds" class="nav-item pcoded-hasmenu main_blogs">
                        <a href="javascript:" class="nav-link "><span class="pcoded-micon"><i class="feather icon-bold"></i></span><span class="pcoded-mtext">Manage Blog</span></a>
                        <ul class="pcoded-submenu">
                            @can('view_blog-categories', 'add_blog-categories', 'edit_blog-categories', 'delete_blog-categories')
                                <li class="blog_categories"><a href="{{ route('admin.blog-categories.index') }}">Blog Categories Management</a></li>
                            @endcan
                            @can('view_blogs', 'add_blogs', 'edit_blogs', 'delete_blogs')
                                <li class="blogs"><a href="{{ route('admin.blogs.index') }}">Blog Management</a></li>
                            @endcan
                        </ul>
                    </li>
                    @endcan

                    @can('view_settings', 'add_settings', 'edit_settings', 'delete_settings')
                    <li class="nav-item settings">
                        <a href="{{ route('admin.settings.index') }}" class="nav-link "><span class="pcoded-micon"><i class="feather icon-settings"></i></span><span class="pcoded-mtext">Settings</span></a>
                    </li>
                    @endcan

                    @can('view_logos', 'add_logos', 'edit_logos', 'delete_logos')
                    <li class="nav-item logos">
                        <a href="{{ route('admin.logos.index') }}" class="nav-link "><span class="pcoded-micon"><i class="feather icon-target"></i></span><span class="pcoded-mtext">Manage Logo</span></a>
                    </li>
                    @endcan

                    @can('view_advertisements', 'add_advertisements', 'edit_advertisements', 'delete_advertisements')
                    <li class="nav-item advertisements">
                        <a href="{{ route('admin.advertisements.index') }}" class="nav-link "><span class="pcoded-micon"><i class="fa fa-code"></i></span><span class="pcoded-mtext">Advertisement Code</span></a>
                    </li>
                    @endcan



                    @can('view_roles', 'add_roles', 'edit_roles', 'delete_roles')
                    <li class="nav-item roles">
                        <a href="{{ route('admin.roles.index') }}" class="nav-link "><span class="pcoded-micon"><i class="feather icon-image"></i></span><span class="pcoded-mtext">Roles</span></a>
                    </li>
                    @endcan

                    @can('view_permissions', 'add_permissions', 'edit_permissions', 'delete_permissions')
                    <li class="nav-item permissions">
                        <a href="{{ route('admin.permissions.index') }}" class="nav-link "><span class="pcoded-micon"><i class="feather icon-image"></i></span><span class="pcoded-mtext">Permissions</span></a>
                    </li>
                    @endcan

                </ul>
            </div>
        </div>
    </nav>
    <!-- [ navigation menu ] end -->

    <!-- [ Header ] start -->
    <header class="navbar pcoded-header navbar-expand-lg navbar-light">
        <div class="m-header">
            <a class="mobile-menu" id="mobile-collapse1" href="javascript:"><span></span></a>
            <a href="{{ route('admin.home') }}" class="b-brand">
                   <div class="b-bg">
                       <i class="feather icon-trending-up"></i>
                   </div>
                   <span class="b-title">IntranetTownet</span>
               </a>
        </div>
        <a class="mobile-menu" id="mobile-header" href="javascript:">
            <i class="feather icon-more-horizontal"></i>
        </a>
        <div class="collapse navbar-collapse">
            <ul class="navbar-nav mr-auto">
                <li><a href="javascript:" class="full-screen" onclick="javascript:toggleFullScreen()"><i class="feather icon-maximize"></i></a></li>
                <!-- <li class="nav-item dropdown">
                    <a class="dropdown-toggle" href="javascript:" data-toggle="dropdown">Dropdown</a>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="javascript:">Action</a></li>
                        <li><a class="dropdown-item" href="javascript:">Another action</a></li>
                        <li><a class="dropdown-item" href="javascript:">Something else here</a></li>
                    </ul>
                </li>
                <li class="nav-item">
                    <div class="main-search">
                        <div class="input-group">
                            <input type="text" id="m-search" class="form-control" placeholder="Search . . .">
                            <a href="javascript:" class="input-group-append search-close">
                                <i class="feather icon-x input-group-text"></i>
                            </a>
                            <span class="input-group-append search-btn btn btn-primary">
                                <i class="feather icon-search input-group-text"></i>
                            </span>
                        </div>
                    </div>
                </li> -->
            </ul>
            <ul class="navbar-nav ml-auto">
                <!-- <li>
                    <div class="dropdown">
                        <a class="dropdown-toggle" href="javascript:" data-toggle="dropdown"><i class="icon feather icon-bell"></i></a>
                        <div class="dropdown-menu dropdown-menu-right notification">
                            <div class="noti-head">
                                <h6 class="d-inline-block m-b-0">Notifications</h6>
                                <div class="float-right">
                                    <a href="javascript:" class="m-r-10">mark as read</a>
                                    <a href="javascript:">clear all</a>
                                </div>
                            </div>
                            <ul class="noti-body">
                                <li class="n-title">
                                    <p class="m-b-0">NEW</p>
                                </li>
                                <li class="notification">
                                    <div class="media">
                                        <img class="img-radius" src="assets/images/user/avatar-1.jpg" alt="Generic placeholder image">
                                        <div class="media-body">
                                            <p><strong>John Doe</strong><span class="n-time text-muted"><i class="icon feather icon-clock m-r-10"></i>30 min</span></p>
                                            <p>New ticket Added</p>
                                        </div>
                                    </div>
                                </li>
                                <li class="n-title">
                                    <p class="m-b-0">EARLIER</p>
                                </li>
                                <li class="notification">
                                    <div class="media">
                                        <img class="img-radius" src="assets/images/user/avatar-2.jpg" alt="Generic placeholder image">
                                        <div class="media-body">
                                            <p><strong>Joseph William</strong><span class="n-time text-muted"><i class="icon feather icon-clock m-r-10"></i>30 min</span></p>
                                            <p>Prchace New Theme and make payment</p>
                                        </div>
                                    </div>
                                </li>
                                <li class="notification">
                                    <div class="media">
                                        <img class="img-radius" src="assets/images/user/avatar-3.jpg" alt="Generic placeholder image">
                                        <div class="media-body">
                                            <p><strong>Sara Soudein</strong><span class="n-time text-muted"><i class="icon feather icon-clock m-r-10"></i>30 min</span></p>
                                            <p>currently login</p>
                                        </div>
                                    </div>
                                </li>
                            </ul>
                            <div class="noti-footer">
                                <a href="javascript:">show all</a>
                            </div>
                        </div>
                    </div>
                </li> -->
                <li>
                    <div class="dropdown drp-user">
                        <a href="javascript:" class="dropdown-toggle" data-toggle="dropdown">
                            <i class="icon feather icon-settings"></i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right profile-notification">
                            <div class="pro-head">
                                <img src="{{ asset('/backend/assets/images/user/avatar-1.jpg') }}" class="img-radius" alt="User-Profile-Image">
                                <span>{{ ucfirst(Auth::user()->name) }} ({{ Auth::user()->roles->first()->name }})</span>
                                <a href="{{ route('admin.logout') }}" class="dud-logout" title="Logout" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                                    <i class="feather icon-log-out"></i>
                                </a>
                                <form id="logout-form" action="{{ route('admin.logout') }}" method="POST" style="display: none;">
                                    @csrf
                                </form>
                            </div>
                            <ul class="pro-body">
                               <!--  <li><a href="javascript:" class="dropdown-item"><i class="feather icon-settings"></i> Settings</a></li> -->
                                <!-- <li><a href="javascript:void(0)" class="dropdown-item"><i class="feather icon-user"></i> Profile</a></li> -->
                                <!-- <li><a href="message.html" class="dropdown-item"><i class="feather icon-mail"></i> My Messages</a></li>
                                <li><a href="auth-signin.html" class="dropdown-item"><i class="feather icon-lock"></i> Lock Screen</a></li> -->
                            </ul>
                        </div>
                    </div>
                </li>
            </ul>
        </div>
    </header>
    <!-- [ Header ] end -->

    @yield('content')

    <!-- Product Browse Modal -->
    <div class="modal fade" id="product_browse_modal" tabindex="-1" role="dialog" aria-labelledby="apiPlanModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="apiPlanModalLabel">s3 Files</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                </div>
            </div>
        </div>
    </div>

    <!-- Export Product field list Modal -->
    <!-- <div class="modal fade" id="export_product_field_modal" tabindex="-1" role="dialog" aria-labelledby="apiPlanModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="apiPlanModalLabel">Product Table Feild</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                </div>
            </div>
        </div>
    </div> -->

    <!-- Scripts -->
    <script src="{{ asset('/backend/assets/js/vendor-all.min.js') }}"></script>
    <script src="{{ asset('/backend/assets/plugins/bootstrap/js/bootstrap.min.js') }}"></script>
    <script src="{{ asset('/backend/assets/js/pcoded.min.js') }}"></script>


    <script type="text/javascript" src="{{ asset('/backend/assets/js/jquery.dataTables.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('/backend/assets/js/dataTables.bootstrap4.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('/backend/assets/js/dataTables.checkboxes.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('/backend/assets/js/dataTables.rowReorder.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('/backend/assets/js/dataTables.responsive.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('/backend/assets/js/responsive.bootstrap4.min.js') }}"></script>

    <script type="text/javascript" src="{{ asset('/backend/assets/js/jquery.validate.js') }}"></script>
    <script type="text/javascript" src="{{ asset('/backend/assets/js/jquery.validate.file.js') }}"></script>
    <script type="text/javascript" src="{{ asset('/backend/assets/js/jquery-confirm.js') }}"></script>
    <script type="text/javascript" src="{{ asset('/backend/assets/js/jquery.loadingModal.js') }}"></script>

    <script  src="{{ asset('/backend/assets/js/sweetalert2.all.min.js') }}"></script>

    <script type="text/javascript" src="{{ asset('/backend/assets/js/select2.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('/backend/assets/js/selects/bootstrap_multiselect.js') }}"></script>

    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.5.1/min/dropzone.min.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/tinymce/4.5.6/tinymce.min.js"></script>

    <script type="text/javascript" src="{{ asset('/backend/assets/plugins/choice/choices.min.js') }}"></script>

    <script src="{{ asset('/js/common.js') }}"></script>
    <script src="{{ asset('/backend/assets/js/custom.js') }}"></script>

    @stack('js_link')

    @stack('js')

</body>
</html>
