@extends('admin.layout.app')

@section('content')
<!-- [ Main Content ] start -->
<section class="pcoded-main-container">
    <div class="pcoded-wrapper">
        <div class="pcoded-content">
            <div class="pcoded-inner-content">
                <!-- [ breadcrumb ] start -->
                <div class="page-header">
                    <div class="page-block">
                        <div class="row align-items-center">
                            <div class="col-md-12">
                                <div class="page-header-title">
                                    <h5 class="m-b-10">Logo</h5>
                                </div>
                                <ul class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{ route('admin.home') }}"><i class="feather icon-home"></i></a></li>
                                    <li class="breadcrumb-item"><a href="javascript:void(0)">Logo</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- [ breadcrumb ] end -->
                <div class="main-body">
                    <div class="page-wrapper">
                        <!-- [ Main Content ] start -->
                        <div class="row">

                            <!-- [ Hover-table ] start -->
                            <div class="col-xl-12">

                                @include('admin.layout.session')

                                <div class="card">
                                    <div class="card-header">
                                        <h5>Change Logo</h5>
                                        <div class="d-inline-block dropdown float-right">
                                            <a href="{{ route('admin.logos.index') }}" class="btn btn-glow-dark btn-dark btn-sm"><i class="feather icon-chevrons-left"></i>Back</a>
                                        </div>
                                    </div>
                                    <div class="card-body">                                        

                                        @if(empty($logo))
                                            <form action="{{ route('admin.logos.store') }}" method="post" enctype="multipart/form-data" class="logo_form">
                                            @csrf
                                        @else
                                            <form action="{{ route('admin.logos.update', $logo->id ) }}" method="post" enctype="multipart/form-data" class="logo_form">
                                            @csrf
                                            @method('PUT')
                                        @endif
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="position-relative form-group">
                                                    <label>Caption</label>                                                    
                                                    <input type="text" name="caption" placeholder="Enter Logo Caption" class="form-control" required value="{{ empty($logo) ? old('caption') : $logo->caption }}">
                                                    @if ($errors->has('caption'))
                                                        <div class="invalid-feedback">{{ $errors->first('caption') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>    
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="position-relative form-group">
                                                    <label>Select Logo Image</label>
                                                    <input type="file" name="logo_image" class="form-control" {{ empty($logo) ? 'required' : '' }}>
                                                    <small class="form-text text-muted">Accepted formats: png, jpg, jpeg. Max file size 5Mb</small>   
                                                    @if ($errors->has('logo_image'))
                                                        <div class="invalid-feedback">{{ $errors->first('logo_image') }}</div>
                                                    @endif                                                
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                @if(!empty($logo))
                                                    @if($logo->image != '')
                                                        <img src="{{asset('storage/logos/thumbnail/')}}/{{$logo->logo_image}}">
                                                    @endif
                                                @endif
                                            </div>
                                        </div>                                                                             
                                        <button type="submit" class="btn btn-glow-primary btn-primary btn-sm">Submit</button>
                                        <a href="{{ route('admin.logos.index') }}" class="btn btn-glow-dark btn-dark btn-sm"><i class="feather icon-chevrons-left"></i>Back</a>
                                    </div>
                                </div>
                            </div>                                                        
                        </div>                       
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- [ Main Content ] end -->
@endsection

@push('js')
<script type="text/javascript">
$(function(){
    $('.main_logos').addClass('active');
    $('.main_logos').addClass('pcoded-trigger');
    $('.logos').addClass('active');
});
</script>
@endpush
