@extends('admin.layout.app')

@section('content')
<section class="pcoded-main-container">
    <div class="pcoded-wrapper">
        <div class="pcoded-content">
            <div class="pcoded-inner-content">
                <div class="page-header">
                    <div class="page-block">
                        <div class="row align-items-center">
                            <div class="col-md-12">
                                <div class="page-header-title">
                                    <h5 class="m-b-10">Orders</h5>
                                </div>
                                <ul class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{ route('admin.home') }}"><i class="feather icon-home"></i></a></li>
                                    <li class="breadcrumb-item"><a href="javascript:void(0)">Order Details ({{$order->order_id}})</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="main-body">
                    <div class="page-wrapper">
                        <div class="row">

                            <div class="col-xl-12">

                                @include('admin.layout.session')

                                <div class="card">
                                    <div class="card-header">
                                        <h5>Order Details</h5>                                        
                                    </div>
                                    <div class="card-block task-details order-sheet">
                                        <div class="col-md-12"> 
                                            <div class="text-xs-center">
                                                <h6>Order Date : {{$order->created_at}}</h6>
                                            </div>                                            
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="card">                                                        
                                                        <div class="card-block">
                                                            <div class="table-responsive">
                                                                <table class="table table-sm order_detail_table">
                                                                    <tbody class="order_sheet_view">
                                                                        <tr>           
                                                                            <th>Order Id</th>
                                                                            <td>{{$order->order_id}}</td>
                                                                        </tr>
                                                                        <tr>           
                                                                            <th>Orderer Name</th>
                                                                            @if($order->user_id == null)
                                                                                <td>{{$order->shipping_address->fname}} {{$order->shipping_address->lname}}</td>
                                                                            @else
                                                                                <td>{{$order->user->first_name}}</td>
                                                                            @endif
                                                                        </tr>
                                                                        <tr>           
                                                                            <th rawspan="2">Shipping Address</th>
                                                                            <td>{{$order->shipping_address->fname}} {{$order->shipping_address->lname}},  {{$order->shipping_address->address}} {{$order->shipping_address->address2}},  {{$order->shipping_address->city}}, {{$order->shipping_address->state}}, {{$order->shipping_address->zipcode}}</td>
                                                                        </tr>
                                                                        <tr>
                                                                            <th>Phone No.</th>
                                                                            <td>{{$order->shipping_address->mobile_no}}</td>
                                                                        </tr>
                                                                        <tr>
                                                                            <th>E-mail</th>
                                                                            <td>{{$order->shipping_address->email}}</td>
                                                                        </tr>
                                                                        <tr>           
                                                                            <th>Total</th>
                                                                            <td colspan="3" style="white-space: pre-wrap;">{{\Helper::getCurrency()}} {{$order->grand_total}}</td>
                                                                        </tr>
                                                                        <tr>           
                                                                            <th>Discount</th>
                                                                            <td colspan="3" style="white-space: pre-wrap;">{{\Helper::getCurrency()}} {{$order->discount}}</td>
                                                                        </tr>
                                                                        <tr>           
                                                                            <th>Payable Amount</th>
                                                                            <td colspan="3" style="white-space: pre-wrap;">{{\Helper::getCurrency()}} {{$order->grand_total}}</td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>                                        
                                </div>

                                <div class="card">
                                    <div class="card-header">
                                        <h5>Transaction Details</h5>                                        
                                    </div>
                                    <div class="card-block task-details order-sheet">
                                        <div class="col-md-12"> 
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="card">                                                        
                                                        <div class="card-block">
                                                            <div class="table-responsive">
                                                                <table class="table table-sm order_detail_table">
                                                                    <tbody class="order_sheet_view">
                                                                        <tr>           
                                                                            <th>Account Id</th>
                                                                            <td>{{$transaction->account_id}}</td>
                                                                        </tr>
                                                                        <tr>
                                                                            <th>Amount</th>
                                                                            <td>{{\Helper::getCurrency()}} {{$transaction->amount}}</td>
                                                                        </tr>
                                                                        <tr>
                                                                            <th>txhash</th>
                                                                            <td>{{$transaction->txhash}}</td>
                                                                        </tr>
                                                                        <tr>           
                                                                            <th>Payment Currency</th>
                                                                            <td>{{$transaction->payment_currency}}</td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>                                        
                                </div>

                                <div class="card">
                                    <div class="card-header">
                                        <h5>Product Details</h5>
                                        <div class="d-inline-block dropdown float-right">
                                            <a href="{{ route('admin.orders.index') }}" class="btn btn-glow-dark btn-dark btn-sm"><i class="feather icon-chevrons-left"></i>Back</a>
                                        </div>
                                    </div>
                                    <div class="card-block table-border-style">

                                        <div class="table-responsive Recent-Users">
                                            <table class="table table-hover">
                                                <thead>
                                                    <tr>         
                                                        <th>Sr. No.</th>                                               
                                                        <th>Product</th>
                                                        <th>Quantity</th>                                                        
                                                        <th>Price</th>                                                        
                                                        <th>Total</th>                                                        
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @php $i=1 @endphp
                                                    @foreach($order_details as $order_d)
                                                    <tr>
                                                        <td>{{$i++}}</td>
                                                        <td>{{$order_d->product->name}} ({{$order_d->cart_data->options->color}}) ({{$order_d->cart_data->options->size}})</td>
                                                        <td>{{$order_d->quantity}}</td>
                                                        <td>{{\Helper::getCurrency()}} {{$order_d->price}}</td>
                                                        <td>{{\Helper::getCurrency()}} {{$order_d->grand_total}}</td>
                                                    </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

@endsection

@push('js')
<script type="text/javascript">
    $(function(){
        $('.orders').addClass('active');
    });
</script>
@endpush
