@extends('admin.layout.app')

@section('content')
<!-- [ Main Content ] start -->
<section class="pcoded-main-container">
    <div class="pcoded-wrapper">
        <div class="pcoded-content">
            <div class="pcoded-inner-content">
                <!-- [ breadcrumb ] start -->
                <div class="page-header">
                    <div class="page-block">
                        <div class="row align-items-center">
                            <div class="col-md-12">
                                <div class="page-header-title">
                                    <h5 class="m-b-10">Settings</h5>
                                </div>
                                <ul class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{ route('admin.home') }}"><i class="feather icon-home"></i></a></li>
                                    <li class="breadcrumb-item"><a href="javascript:void(0)">Settings</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- [ breadcrumb ] end -->
                <div class="main-body">
                    <div class="page-wrapper">
                        <!-- [ Main Content ] start -->
                        <div class="row">

                            <!-- [ Hover-table ] start -->
                            <div class="col-xl-12">

                                @include('admin.layout.session')

                                <div class="card">
                                    <div class="card-header">
                                        <h5>Settings</h5>
                                        <div class="d-inline-block dropdown float-right">
                                            <a href="{{ route('admin.settings.index') }}" class="btn btn-glow-dark btn-dark btn-sm"><i class="feather icon-chevrons-left"></i>Back</a>
                                        </div>
                                    </div>
                                    <div class="card-body">
                                        @if(empty($setting))
                                            <form action="{{ route('admin.settings.store') }}" method="post" enctype="multipart/form-data" class="footer_form">
                                            @csrf
                                        @else
                                            <form action="{{ route('admin.settings.update', $setting->id ) }}" method="post" enctype="multipart/form-data" class="footer_form">
                                            @csrf
                                            @method('PUT')
                                        @endif

                                        <div class="row">
                                            <div class="col-md-4">
                                                <div class="position-relative form-group">
                                                    <label>Wallet Address</label>
                                                    <input type="text" name="wallet_address" class="form-control" placeholder="Enter Wallet Address" required value="{!! empty($setting->wallet_address) ? old('wallet_address') : $setting->wallet_address !!}">
                                                    @if ($errors->has('wallet_address'))
                                                        <div class="invalid-feedback">{{ $errors->first('wallet_address') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="position-relative form-group">
                                                    <label>Payment Currency</label>
                                                    <input type="text" name="payment_currency" class="form-control" placeholder="Enter Payment Currency" required value="{!! empty($setting->payment_currency) ? old('payment_currency') : $setting->payment_currency !!}">
                                                    @if ($errors->has('payment_currency'))
                                                        <div class="invalid-feedback">{{ $errors->first('payment_currency') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="position-relative form-group">
                                                    <label>Networks</label>
                                                    <input type="text" name="networks" class="form-control" placeholder="Enter Network" required value="{!! empty($setting->networks) ? old('networks') : $setting->networks !!}">
                                                    @if ($errors->has('networks'))
                                                        <div class="invalid-feedback">{{ $errors->first('networks') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-4">
                                                <div class="position-relative form-group">
                                                    <label>Token Address</label>
                                                    <input type="text" name="token_address" class="form-control" placeholder="Enter Token Address" required value="{!! empty($setting->token_address) ? old('token_address') : $setting->token_address !!}">
                                                    @if ($errors->has('token_address'))
                                                        <div class="invalid-feedback">{{ $errors->first('token_address') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="position-relative form-group">
                                                    <label>Token Symbol</label>
                                                    <input type="text" name="token_symbol" class="form-control" placeholder="Enter Token Symbol" required value="{!! empty($setting->token_symbol) ? old('token_symbol') : $setting->token_symbol !!}">
                                                    @if ($errors->has('token_symbol'))
                                                        <div class="invalid-feedback">{{ $errors->first('token_symbol') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="position-relative form-group">
                                                    <label>Token Decimals</label>
                                                    <input type="text" name="token_decimals" class="form-control" placeholder="Enter Token Decimals" required value="{!! empty($setting->token_decimals) ? old('token_decimals') : $setting->token_decimals !!}">
                                                    @if ($errors->has('token_decimals'))
                                                        <div class="invalid-feedback">{{ $errors->first('token_decimals') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            {{-- <div class="col-md-4">
                                                <div class="position-relative form-group">
                                                    <label>Token Image</label>
                                                    <input type="file" name="token_image" class="form-control" placeholder="Enter Token Image" value="{!! empty($setting->token_image) ? old('token_image') : $setting->token_image !!}">
                                                    @if ($errors->has('token_image'))
                                                        <div class="invalid-feedback">{{ $errors->first('token_image') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="position-relative form-group">
                                                    <label>AWS S3 Access Key</label>
                                                    <input type="password" name="aws_s3_access_key" class="form-control" placeholder="Enter AWS S3 Access Key" required value="{!! empty($setting->aws_s3_access_key) ? old('aws_s3_access_key') : $setting->aws_s3_access_key !!}">
                                                    @if ($errors->has('aws_s3_access_key'))
                                                        <div class="invalid-feedback">{{ $errors->first('aws_s3_access_key') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="position-relative form-group">
                                                    <label>AWS S3 Secret Key</label>
                                                    <input type="password" name="aws_s3_secret_key" class="form-control" placeholder="Enter AWS S3 Secret Key" required value="{!! empty($setting->aws_s3_secret_key) ? old('aws_s3_secret_key') : $setting->aws_s3_secret_key !!}">
                                                    @if ($errors->has('aws_s3_secret_key'))
                                                        <div class="invalid-feedback">{{ $errors->first('aws_s3_secret_key') }}</div>
                                                    @endif
                                                </div>
                                            </div> --}}
                                            
                                        </div>
                                        {{-- <div class="row">
                                            <div class="col-md-4">
                                                <div class="position-relative form-group">
                                                    <label>AWS S3 Default Region</label>
                                                    <input type="text" name="aws_s3_default_region" class="form-control" placeholder="Enter AWS S3 Default Region" required value="{!! empty($setting->aws_s3_default_region) ? old('aws_s3_default_region') : $setting->aws_s3_default_region !!}">
                                                    @if ($errors->has('aws_s3_default_region'))
                                                        <div class="invalid-feedback">{{ $errors->first('aws_s3_default_region') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="position-relative form-group">
                                                    <label>AWS S3 Bucket Name</label>
                                                    <input type="text" name="aws_s3_bucket_name" class="form-control" placeholder="Enter AWS S3 Default Region" required value="{!! empty($setting->aws_s3_bucket_name) ? old('aws_s3_bucket_name') : $setting->aws_s3_bucket_name !!}">
                                                    @if ($errors->has('aws_s3_bucket_name'))
                                                        <div class="invalid-feedback">{{ $errors->first('aws_s3_bucket_name') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div> --}}

                                        <button type="submit" class="btn btn-glow-primary btn-primary btn-sm">Submit</button>
                                        <a href="{{ route('admin.footers.index') }}" class="btn btn-glow-dark btn-dark btn-sm"><i class="feather icon-chevrons-left"></i>Back</a>
                                    </div>
                                </div>
                            </div>

                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- [ Main Content ] end -->
@endsection

@push('js')
<script type="text/javascript">
$(function(){
    $('.payment_settings').addClass('active');
});
</script>
@endpush
