@php
    $is_subcategory_display = isset($is_subcategory_display) ? $is_subcategory_display : true;
    $is_disabled = isset($is_disabled) && $is_disabled ? 'disabled' : '';
    $is_required = isset($is_required) && $is_required ? 'required' : '';
    $class_name = isset($is_multiple) && $is_multiple ? 'categories_dropdown' : 'category_dropdown';
    $name = isset($is_multiple) && $is_multiple ? 'categories' : 'category_id';
    $label = isset($is_multiple) && $is_multiple ? '<label>Categories</label>' : '<label>Category</label>';
    $custom_class = isset($custom_class) ? $custom_class : '';
    $values = $categories->pluck('name','id');
@endphp
<div class="position-relative form-group">
    {!! isset($is_label) && $is_label ? $label : '' !!}

    @if(isset($is_multiple) && $is_multiple)
        <select type="text" name="{{$name}}[]" class="form-control {{$class_name}} {{$custom_class}}" required multiple>
            <option value="">Select Category</option>
            @foreach($categories as $cat)
                @php $dash = ""; @endphp
                <option value="{{$cat->id}}" {{$is_disabled}}>{{$cat->name}}</option>
                @if(count($cat->subcategory))
                    @if(isset($result) && isset($selected_categories))
                        @include('components._subCategoryListOption',['subcategories' => $cat->subcategory, 'selected_categories' => $selected_categories])
                    @else
                        @include('components._subCategoryListOption',['subcategories' => $cat->subcategory])
                    @endif
                @endif
            @endforeach
        </select>

    @else
        <select type="text" name="{{$name}}" class="form-control {{$class_name}} {{$custom_class}}" required>
            <option value="">Select Category</option>
            @foreach($categories as $cat)

                @php $dash = ""; $selected = ''; @endphp
                @php
                    if(isset($result->parent)){
                        $selected = ($selected_categories == $cat->id) ? 'selected' : '';
                    }else{
                        $selected = isset($result->category_id) ? ($selected_categories == $cat->id) ? 'selected' : '' : '';
                    }
                @endphp


                <option value="{{$cat->id}}" {{$selected}} {{$is_disabled}}>{{$cat->name}}</option>
                @if($is_subcategory_display && count($cat->subcategory))
                    @if(isset($result) && isset($selected_categories))
                        @include('components._subCategoryListOption',['subcategories' => $cat->subcategory, 'selected_categories' => $selected_categories])
                    @else
                        @include('components._subCategoryListOption',['subcategories' => $cat->subcategory])
                    @endif
                @endif
            @endforeach
        </select>

    @endif

    @error($name)
        <span class="invalid-feedback" role="alert">
            <strong>{{ $message }}</strong>
        </span>
    @enderror
</div>
