@extends('layouts.app')

@section('content')

<div class="main_render_div">
<!-- START SECTION BREADCRUMB -->
<div class="breadcrumb_section bg_blue page-title-mini">
    <div class="container"><!-- STRART CONTAINER -->
        <div class="row align-items-center">
        	<div class="col-md-6">
                <div class="page-title">
            		<h1>Paypal or Credit Card</h1>
                </div>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="#">Home</a></li>  
                    @if($order->payment_type == "credit_debit_card")
                        <li class="breadcrumb-item active">Credit Card</li>
                    @elseif($order->payment_type == "paypal")
                        <li class="breadcrumb-item active">Paypal</li>
                    @endif
                    
                </ol>
            </div>
        </div>
    </div><!-- END CONTAINER-->
</div>
<!-- END SECTION BREADCRUMB -->

<!-- START LOGIN SECTION -->
<div class="login_register_wrap section">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-xl-8 col-md-10">
                <div class="login_wrap">
            		<div class="padding_eight_all bg-white">
                        
                        @include('layouts.session')

                        <div class="row">
                            <div class="col-md-12 add_new_card_div">
                                <div id="smart-button-container">
                                    <div style="text-align: center;">
                                        <div id="paypal-button-container"></div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- END LOGIN SECTION -->
</div>
@endsection

@push('css')
<style>
    /* Media query for mobile viewport */
    @media screen and (max-width: 400px) {
        #paypal-button-container {
            width: 100%;
        }
    }
    
    /* Media query for desktop viewport */
    @media screen and (min-width: 400px) {
        #paypal-button-container {
            width: 250px;
        }
    }
</style>
@endpush

@push('js')
    <script src="https://www.paypal.com/sdk/js?client-id={{ env('PAYPAL_CLIENT_ID') }}&currency={{ env('PAYPAL_CURRENCY') }}&locale=en_AU" data-sdk-integration-source="button-factory"></script>
    @if($order->payment_type == "credit_debit_card")
        <script>
            var FUNDING_SOURCES = [
                paypal.FUNDING.CARD
            ];
        </script>
    @elseif($order->payment_type == "paypal")
        <script>
            var FUNDING_SOURCES = [
                paypal.FUNDING.PAYPAL
            ];
        </script>
    @endif

    <script>
        var order = {!! json_encode($order, JSON_HEX_TAG) !!};
        var grand_total = order.grand_total;

        // Loop over each funding source / payment method
        FUNDING_SOURCES.forEach(function(fundingSource) {

            // Initialize the buttons
            var button = paypal.Buttons({
                fundingSource: fundingSource,

                locale: 'en_AU',
                style: {
                    shape: 'pill',
                    // color: 'blue',
                    layout: 'vertical',
                    label: 'pay',
                },

                // Set up the transaction
                createOrder: function(data, actions) {
                    return actions.order.create({
                        purchase_units: [{
                            amount:{
                                "currency_code":"AUD",
                                "value":grand_total
                            }
                        }]
                    });
                },

                // Finalize the transaction
                onApprove: function(data, actions) {
                    showLoader();
                    return actions.order.capture().then(function(details) {
                        console.log(details);
                        // alert('Transaction completed by ' + details.payer.name.given_name + '!');
                    
                        $.ajax({
                            type: "POST",
                            async: false,
                            url: `{{route('checkout.done')}}`,
                            data: {
                                "_token": "{{ csrf_token() }}",
                                "data": details
                            },
                            dataType:"json",
                            success: function(response)
                            {
                                hideLoader();
                                if(response.status){
                                    $(".main_render_div").html(response.html);
                                }
                            }
                        });
                    });
                },
                onError: function(err) {
                console.log(err);
                }
            });

            // Check if the button is eligible
            if (button.isEligible()) {
                // Render the standalone button for that funding source
                button.render('#paypal-button-container');
            }
        });



        // // Render the PayPal button into #paypal-button-container
        // paypal.Buttons({
        //     locale: 'en_AU',
        //     style: {
        //         shape: 'pill',
        //         color: 'blue',
        //         layout: 'vertical',
        //         label: 'paypal',
        //     },
            

        //     // onInit: function(data, actions) {
        //     //     setTimeout(function(){ 
        //     //         @if($order->payment_type == "credit_debit_card")
        //     //             removePaypal();
        //     //         @elseif($order->payment_type == "paypal")
        //     //             removePaypalCard();
        //     //         @endif
                
                    
        //     //     }, 3000);
                
        //     //     // Disable the buttons
        //     //     // actions.disable();
        //     //     // console.log(actions)

        //     //     // // Listen for changes to the checkbox
        //     //     // document.querySelector('#check')
        //     //     // .addEventListener('change', function(event) {

        //     //     //     // Enable or disable the button when it is checked or unchecked
        //     //     //     if (event.target.checked) {
        //     //     //         actions.enable();
        //     //     //     } else {
        //     //     //         actions.disable();
        //     //     //     }
        //     //     // });
        //     // },

        //     // Set up the transaction
        //     createOrder: function(data, actions) {
        //         return actions.order.create({
        //             purchase_units: [{
        //                 amount:{
        //                     "currency_code":"AUD",
        //                     "value":grand_total
        //                 }
        //             }]
        //         });
        //     },

        //     // Finalize the transaction
        //     onApprove: function(data, actions) {
        //         showLoader();
        //         return actions.order.capture().then(function(details) {
        //             console.log(details);
        //             // alert('Transaction completed by ' + details.payer.name.given_name + '!');
                
        //             $.ajax({
        //                 type: "POST",
        //                 async: false,
        //                 url: `{{route('checkout.done')}}`,
        //                 data: {
        //                     "_token": "{{ csrf_token() }}",
        //                     "data": details
        //                 },
        //                 dataType:"json",
        //                 success: function(response)
        //                 {
        //                     hideLoader();
        //                     if(response.status){
        //                         $(".main_render_div").html(response.html);
        //                     }
        //                 }
        //             });
        //         });
        //     },
        //     onError: function(err) {
        //       console.log(err);
        //     }
        // }).render('#paypal-button-container');
    </script>

@endpush