<div class="row">
    <div class="col-lg-6 col-md-6 mb-4 mb-md-0">
        <div class="product-image">
            <div class="product_img_box">
                <img id="product_img" src='{{ Helper::getFirstImage($product, '540_600') }}' data-zoom-image="{{ Helper::getFirstImage($product, '810_900') }}" alt="product_img1" />
                <a href="javascript:void(0)" class="product_img_zoom" title="Zoom">
                    <span class="linearicons-zoom-in"></span>
                </a>
            </div>
            <div id="pr_item_gallery" class="product_gallery_item slick_slider" data-slides-to-show="4" data-slides-to-scroll="1" data-infinite="false">
                @forelse($product->product_images as $key => $product_images)
                    <div class="item">
                        <a href="#" class="product_gallery_item {{$key == 0 ? 'active' : ''}}" data-image="{{ asset('storage/products/810_900/'.$product_images->file_name) }}" data-zoom-image="{{ asset('storage/products/540_600/'.$product_images->file_name) }}">
                            <img src="{{ asset('storage/products/150_160/'.$product_images->file_name) }}" alt="product_small_img1" />
                        </a>
                    </div>
                @empty
                @endforelse
            </div>
        </div>
    </div>
    <div class="col-lg-6 col-md-6">
        <div class="pr_detail">
            <div class="product_description product_detail_div">
                <h4 class="product_title"><a href="{{ route('get.product_by_slug', $product->slug ) }}">{{$product->name}}</a></h4>
                <div class="product_price">
                    <span class="price">{{Helper::setPriceFormat($product->price)}}</span>
                    <del>{{Helper::setPriceFormat($product->old_price)}}</del>
                    {{-- <div class="on_sale">
                        <span>35% Off</span>
                    </div> --}}
                </div>
                {{-- <div class="rating_wrap">
                    <div class="rating">
                        <div class="product_rate" style="width:80%"></div>
                    </div>
                    <span class="rating_num">(21)</span>
                </div> --}}
                <div class="pr_desc">{!! Helper::html_cut($product->description, 200) !!}</div>

                @include('frontend.products._product_attributes')
            </div>
            <hr />
            <div class="cart_extra">
                <div class="cart-product-quantity">
                    <div class="quantity">
                        <input type="button" value="-" class="minus">
                        <input type="text" name="quantity" id="quantity" value="1" title="Qty" class="qty" size="4">
                        <input type="button" value="+" class="plus">
                    </div>
                </div>
                <div class="cart_btn">
                    <button class="btn btn-fill-out btn-addtocart add_to_cart"  data-product_id="{{$product->id}}" type="button"><i class="icon-basket-loaded"></i> Add to cart</button>
                    {{-- @if(Auth::user())
                        <a class="add_wishlist add_to_wishlist {{ Helper::isWishlist($product->id) ? 'active_wishlist' : 'inactive_wishlist' }}" data-val="{{$product->id}}" href="javascript:void(0)"><i class="icon-heart"></i></a>
                    @else
                        <a class="add_wishlist" href="{{route('login')}}"><i class="icon-heart"></i></a>
                    @endif --}}
                </div>
            </div>
            <hr />
            <ul class="product-meta">
                <li>Category: <a href="{{ route('products', [$product->category->slug, $product->category->parent->slug]) }}">{{$product->category->name}}</a></li>
            </ul>

            {{-- <div class="product_share">
                <span>Share:</span>
                <ul class="social_icons">
                    <li><a href="#"><i class="ion-social-facebook"></i></a></li>
                    <li><a href="#"><i class="ion-social-twitter"></i></a></li>
                    <li><a href="#"><i class="ion-social-googleplus"></i></a></li>
                    <li><a href="#"><i class="ion-social-youtube-outline"></i></a></li>
                    <li><a href="#"><i class="ion-social-instagram-outline"></i></a></li>
                </ul>
            </div> --}}
        </div>
    </div>
</div>

<div class="row">
    <div class="col-12">
        <div class="small_divider clearfix"></div>
    </div>
</div>

<div class="row">
    <div class="col-12">
        <div class="tab-style3">
            <ul class="nav nav-tabs" role="tablist">
                <li class="nav-item">
                    <a class="nav-link active" id="Description-tab" data-toggle="tab" href="#Description" role="tab" aria-controls="Description" aria-selected="true">Description</a>
                </li>
                {{-- <li class="nav-item">
                    <a class="nav-link" id="Additional-info-tab" data-toggle="tab" href="#Additional-info" role="tab" aria-controls="Additional-info" aria-selected="false">Additional info</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" id="Reviews-tab" data-toggle="tab" href="#Reviews" role="tab" aria-controls="Reviews" aria-selected="false">Reviews (2)</a>
                </li> --}}
            </ul>
            <div class="tab-content shop_info_tab">
                  <div class="tab-pane fade show active" id="Description" role="tabpanel" aria-labelledby="Description-tab">
                    {!! $product->description !!}
                  </div>
                  {{-- <div class="tab-pane fade" id="Additional-info" role="tabpanel" aria-labelledby="Additional-info-tab">
                    <table class="table table-bordered">
                        <tr>
                            <td>Capacity</td>
                            <td>5 Kg</td>
                        </tr>
                        <tr>
                            <td>Color</td>
                            <td>Black, Brown, Red,</td>
                        </tr>
                        <tr>
                            <td>Water Resistant</td>
                            <td>Yes</td>
                        </tr>
                        <tr>
                            <td>Material</td>
                            <td>Artificial Leather</td>
                        </tr>
                    </table>
                  </div>
                  <div class="tab-pane fade" id="Reviews" role="tabpanel" aria-labelledby="Reviews-tab">
                    <div class="comments">
                        <h5 class="product_tab_title">2 Review For <span>Blue Dress For Woman</span></h5>
                        <ul class="list_none comment_list mt-4">
                            <li>
                                <div class="comment_img">
                                    <img src="assets/images/user1.jpg" alt="user1"/>
                                </div>
                                <div class="comment_block">
                                    <div class="rating_wrap">
                                        <div class="rating">
                                            <div class="product_rate" style="width:80%"></div>
                                        </div>
                                    </div>
                                    <p class="customer_meta">
                                        <span class="review_author">Alea Brooks</span>
                                        <span class="comment-date">March 5, 2018</span>
                                    </p>
                                    <div class="description">
                                        <p>Lorem Ipsumin gravida nibh vel velit auctor aliquet. Aenean sollicitudin, lorem quis bibendum auctor, nisi elit consequat ipsum, nec sagittis sem nibh id elit. Duis sed odio sit amet nibh vulputate</p>
                                    </div>
                                </div>
                            </li>
                            <li>
                                <div class="comment_img">
                                    <img src="assets/images/user2.jpg" alt="user2"/>
                                </div>
                                <div class="comment_block">
                                    <div class="rating_wrap">
                                        <div class="rating">
                                            <div class="product_rate" style="width:60%"></div>
                                        </div>
                                    </div>
                                    <p class="customer_meta">
                                        <span class="review_author">Grace Wong</span>
                                        <span class="comment-date">June 17, 2018</span>
                                    </p>
                                    <div class="description">
                                        <p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters</p>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                    <div class="review_form field_form">
                        <h5>Add a review</h5>
                        <form class="row mt-3">
                            <div class="form-group col-12">
                                <div class="star_rating">
                                    <span data-value="1"><i class="far fa-star"></i></span>
                                    <span data-value="2"><i class="far fa-star"></i></span>
                                    <span data-value="3"><i class="far fa-star"></i></span>
                                    <span data-value="4"><i class="far fa-star"></i></span>
                                    <span data-value="5"><i class="far fa-star"></i></span>
                                </div>
                            </div>
                            <div class="form-group col-12">
                                <textarea required="required" placeholder="Your review *" class="form-control" name="message" rows="4"></textarea>
                            </div>
                            <div class="form-group col-md-6">
                                <input required="required" placeholder="Enter Name *" class="form-control" name="name" type="text">
                             </div>
                            <div class="form-group col-md-6">
                                <input required="required" placeholder="Enter Email *" class="form-control" name="email" type="email">
                            </div>

                            <div class="form-group col-12">
                                <button type="submit" class="btn btn-fill-out" name="submit" value="Submit">Submit Review</button>
                            </div>
                        </form>
                    </div>
                  </div> --}}
            </div>
        </div>
    </div>
</div>

{{-- @if($quick_view == 1)
    <button title="Close (Esc)" type="button" class="mfp-close">×</button>
@endif --}}

@push('js')
    <script>
        $(function(){
            $(document.body).on("keyup",'#message_on_cake', function() {
                var me = $(this);
                if(me.val().length >= 50){
                    $(".message_on_cake_error").text("make sure message on cake 50 characters long").removeClass('d-none').addClass('d-block');
                    me.val(me.val().slice(0, 50));
                    return false;
                }else{
                    $(".message_on_cake_error").text("").removeClass('d-block').addClass('d-none');
                }
            });

            $(document.body).on("keyup",'#special_instruction', function() {
                var me = $(this);
                if(me.val().length >= 100){
                    $(".special_instruction_error").text("make sure special instruction 100 characters long").removeClass('d-none').addClass('d-block');
                    me.val(me.val().slice(0, 100));
                    return false;
                }else{
                    $(".special_instruction_error").text("").removeClass('d-block').addClass('d-none');
                }
            });
        });
    </script>
@endpush
