@if(count($products) > 0 )
    <div class="row shop_container list">
        @foreach($products as $product)
            <div class="col-md-4 col-6">
                <div class="product">
                    <div class="product_img">
                        <a href="{{ route('get.product_by_slug', $product->slug ) }}">
                            <img src="{{ asset(Helper::getFirstImage($product)) }}" alt="product_img1">
                        </a>
                        <div class="product_action_box">
                            <ul class="list_none pr_action_btn">
                                <li class="add-to-cart"><a href="#"><i class="icon-basket-loaded"></i> Add To Cart</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="product_info product_detail_div">
                        <h6 class="product_title"><a href="{{ route('get.product_by_slug', $product->slug ) }}">{{ $product->name }}</a></h6>
                        <div class="product_price">
                            <span class="price">{{ Helper::setPriceFormat($product->price) }}</span>
                            <del>{{ Helper::setPriceFormat($product->old_price) }}</del>
                        </div>
                        <!-- <div class="rating_wrap">
                            <div class="rating">
                                <div class="product_rate" style="width:80%"></div>
                            </div>
                            <span class="rating_num">(21)</span>
                        </div> -->
                        <div class="pr_desc">
                            <p class="text-white">{!! Helper::html_cut($product->description, 100) !!}</p>
                        </div>
                        @include('frontend.products._product_attributes')
                        <div class="list_product_action_box">
                            {{--<div class="pr_switch_wrap">
                                <div class="product_size_switch">
                                    @forelse($product->product_attributes as $key => $attributes)
                                        @forelse($attributes as $attribute)
                                        <span class="product_size" data-price="{{$attribute->price}}" data-size="{{$attribute->size}}">{{$attribute->size}}</span>
                                        @empty
                                        @endforelse
                                    @empty
                                    @endforelse
                                </div>
                            </div>--}}
                            <ul class="list_none pr_action_btn">
                                <li class="add-to-cart"><a href="javascript:void(0)" class="add_to_cart" data-product_id="{{$product->id}}"><i class="icon-basket-loaded"></i> Add To Cart</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        @endforeach
    </div>
    <div class="row">
        <div class="col-12">
            @include('layouts.pagination.default', ['paginator' => $products])
        </div>
    </div>
@else
    <h4 class="p-5 font-weight-bold col-md-12 text-center text-danger">No Products Found</h4>
@endif
