@extends('layouts.app')
@section('content')
<div class="breadcrumb_section page-title-mini">
    <div class="container">
        <div class="row align-items-center">
        	<div class="col-md-6">
                <div class="page-title">
            		<h1 class="text-white">Products</h1>
                </div>
            </div>
            <div class="col-md-6">
                <ol class="breadcrumb justify-content-md-end">
                    <li class="breadcrumb-item"><a href="{{ route('index') }}" class="text-white">Home</a></li>
                    <li class="breadcrumb-item text-white active">Products</li>
                </ol>
            </div>
        </div>
    </div>
</div>

<div class="main_content">
    <div class="section">
        <div class="container">
            <div class="product_data">
                @include('frontend.products._single_product')
            </div>

            <div class="row">
                <div class="col-12">
                    <div class="small_divider"></div>
                    <div class="divider"></div>
                    <div class="medium_divider"></div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="heading_s1">
                        <h3>Related Products</h3>
                    </div>

                    <div class="product_slider carousel_slider owl-carousel owl-theme nav_style5" data-loop="true" data-dots="false" data-nav="true" data-margin="30" data-responsive='{"0":{"items": "1"}, "481":{"items": "2"}, "768":{"items": "3"}, "1199":{"items": "4"}}'>
                        @foreach($releted_products as $product)
                            <div class="item">
                                {{-- @if(!empty($product->getProductByStockReport($product->id)->first())) --}}
                                    {{-- <span class="pr_flash bg-success">In Stock</span> --}}
                                {{-- @endif --}}
                                <div class="product_box text-center">
                                    <div class="product_img">
                                        <a ref="javascript:void(0)" data-url="{{ route('get.product_by_slug', $product->slug ) }}" class="popup-ajax">
                                            <img src="{{ Helper::getFirstImage($product) }}" alt="{{$product->name}}"/>
                                        </a>
                                        {{-- <div class="product_action_box">
                                            <ul class="list_none pr_action_btn">
                                                <li><a href="javascript:void(0)" data-url="{{ route('get.product_by_slug', $product->slug ) }}" class="popup-ajax"><i class="icon-magnifier-add"></i></a></li>
                                                @if(Auth::user())
                                                    <li><a href="javascript:void(0)" class="add_to_wishlist {{ isWishlist($product->id) ? 'active_wishlist' : 'inactive_wishlist' }}" data-val="{{$product->id}}"><i class="icon-heart"></i></a></li>
                                                @else
                                                    <li><a href="{{route('login')}}"><i class="icon-heart"></i></a></li>
                                                @endif
                                            </ul>
                                        </div> --}}
                                    </div>
                                    <div class="product_info">
                                        <h6 class="product_title"><a href="{{ route('get.product_by_slug', $product->slug ) }}">{{$product->name}} ({{$product->category->name}})</a></h6>
                                        <div class="product_price">
                                            <span class="price">{{ Helper::setPriceFormat($product->price) }}</span>
                                            <del>{{ Helper::setPriceFormat($product->old_price) }}</del>
                                        </div>
                                        <div class="pr_desc">
                                            <p></p>
                                        </div>
                                        <div class="add-to-cart">
                                            <a href="{{ route('get.product_by_slug', $product->slug ) }}" class="btn btn-fill-out btn-radius"><i class="icon-basket-loaded"></i> Add To Cart</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
