@extends('layouts.app')

@section('content')

<div class="breadcrumb_section page-title-mini">
    <div class="container">
        <div class="row align-items-center">
        	<div class="col-md-6">
                <div class="page-title">
            		<h1 class="text-white">Order Details</h1>
                </div>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{route('index')}}" class="text-white">Home</a></li>
                    <li class="breadcrumb-item text-white active">Order Details</li>
                </ol>
            </div>
        </div>
    </div>
</div>

<div class="section my_account_wrap mb-4">
    <div class="container">
        <div class="row">
            <div class="col-lg-3 col-md-4">
                @include('layouts.user_menu')
            </div>
            <div class="col-lg-9 col-md-8">
                <div class="row">
                    <div class="col-lg-6 col-6">
                        <h6 class="text-white">Order Id: {{$order->order_id}} </h6>
                    </div>
                </div>
                <div class="table-responsive">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <td>No. Of Product</td>
                                <td>{{count($order->order_details)}}</td>                                
                            </tr>  
                            <tr>
                                <td>Total</td>
                                <td>{{Helper::setPriceFormat($order->subtotal + $order->tax)}}</td>                                
                            </tr>     
                            <tr>
                                <td>Discount</td>
                                <td>{{Helper::setPriceFormat($order->discount)}}</td>                                
                            </tr>
                            <tr>
                                <th colspan="2">Payment Details</th>
                            </tr>
                            <tr>
                                <td>Purchase Date</td>
                                <td>{{$order->created_at}}</td>                                
                            </tr>
                            <tr>
                                <td>Account Id</td>
                                <td>{{$order->transaction->account_id}}</td>                                
                            </tr>
                            <tr>
                                <td>TxHash</td>
                                <td>{{$order->transaction->txhash}}</td>                                
                            </tr>
                            <tr>
                                <td>Payment Status</td>
                                <td>
                                    @if($order->status == 'success')
                                        <b class="text-success">{{ucfirst($order->status)}}</b>
                                    @else
                                        <b class="text-danger">{{ucfirst($order->status)}}</b>
                                    @endif   
                                </td>                                
                            </tr>
                        </tbody>
                    </table>
                </div>

                <div class="row shop_container list user_under_shop_container">
                    @forelse($order->order_details as $key => $order_detail)
                        <div class="col-md-4 col-6 order_details_div">
                            <div class="product">
                                <div class="product_img">
                                    <a href="{{route('get.product_by_slug',[$order_detail->product->slug])}}">
                                        <img src="{{ Helper::getFirstImage($order_detail->product, '540_600') }}" alt="{{$order_detail->product->name}}"/>                                       
                                    </a>                                    
                                </div>
                                <div class="product_info">
                                    <h6 class="product_title"><a href="{{route('get.product_by_slug',[$order_detail->product->slug])}}">{{$order_detail->product->name}} ({{$order_detail->product->category->name}})</a></h6>
                                    <div class="pr_desc">
                                        <p>Price : {{Helper::setPriceFormat($order_detail->price)}}</p>
                                        <p>Quantity : {{$order_detail->quantity}}</p>             
                                    </div>                                   
                                    <div class="pr_switch_wrap">
                                        <div class="product_color_switch">
                                            <ul class="product-meta">
                                                <li><b class="text-light bg-dark p-1">Order Detail</b></li>
                                                @if($order->order_status == 'orderd')
                                                <li>Order Status : <b class="text-primary">{{ucfirst($order->order_status)}}</b></li>
                                                @elseif($order->order_status == 'layered')
                                                <li>Order Status : <b class="text-warning">{{ucfirst($order->order_status)}}</b></li>
                                                @elseif($order->order_status == 'ready')
                                                <li>Order Status : <b class="text-info">{{ucfirst($order->order_status)}}</b></li>
                                                @elseif($order->order_status == 'delivered' || $order->order_status == 'pickedup')
                                                <li>Order Status : <b class="text-success">{{ucfirst($order->order_status)}}</b></li>
                                                @elseif($order->order_status == 'cancel')
                                                <li>Order Status : <b class="text-danger">{{ucfirst($order->order_status)}}</b></li>
                                                @endif
                                            </ul>
                                        </div>
                                    </div>                                    
                                </div>
                            </div>
                        </div>
                    @empty
                        <div class="alert alert-danger mt-5 col-md-12 text-center">No Product Found</div>
                    @endforelse
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
@push('js')
<script type="text/javascript">
    $(function(){
        $('.my_orders').addClass('active');    
    });
</script>
@endpush
