@extends('layouts.app')

@section('content')

<div class="breadcrumb_section page-title-mini">
    <div class="container">
        <div class="row align-items-center">
        	<div class="col-md-6">
                <div class="page-title">
            		<h1 class="text-white">Welcome {{ Helper::showUsername() }}</h1>
                </div>
            </div>
            <div class="col-md-6">
                <ol class="breadcrumb justify-content-md-end">
                    <li class="breadcrumb-item"><a href="{{route('index')}}" class="text-white">Home</a></li>
                    <li class="breadcrumb-item text-white active">My Profile</li>
                </ol>
            </div>
        </div>
    </div>
</div>

<div class="section">
	<div class="container">
    	<div class="row">
            <div class="col-lg-9">
                <h6 class="text-white">Edit Information</h6>
                <div class="login_wrap">
                    <div class="padding_eight_all">
                        <form method="post" action="{{ route('users.update') }}" class="form-horizontal user_profile_update_form">
                            @csrf                            
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="text-white">First Name</label>
                                        <input type="text" name="first_name" placeholder="Enter First Name" class="form-control" value="{{$user->first_name}}" required>
                                        @if ($errors->has('first_name'))
                                            <div class="invalid-feedback">{{ $errors->first('first_name') }}</div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="text-white">Last Name</label>
                                        <input type="text" name="last_name" placeholder="Enter Last Name" class="form-control" value="{{$user->last_name}}" required>
                                        @if ($errors->has('last_name'))
                                            <div class="invalid-feedback">{{ $errors->first('last_name') }}</div>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="text-white">Mobile No.</label>
                                        <input type="text" name="mobile_no" placeholder="Enter Mobile No." class="form-control" value="{{$user->mobile_no}}" required>
                                        @if ($errors->has('mobile_no'))
                                            <div class="invalid-feedback">{{ $errors->first('mobile_no') }}</div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="text-white">Phone No.</label>
                                        <input type="text" name="phone" placeholder="Enter Phone No." class="form-control" value="{{$user->phone}}">
                                        @if ($errors->has('phone'))
                                            <div class="invalid-feedback">{{ $errors->first('phone') }}</div>
                                        @endif
                                    </div>
                                </div>
                            </div>  

                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="text-white">Email</label>
                                        <input type="email" name="email" placeholder="Enter Email" class="form-control" value="{{$user->email}}" readonly>
                                        @if ($errors->has('email'))
                                            <div class="invalid-feedback">{{ $errors->first('email') }}</div>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="text-white">City</label>
                                        <input type="text" name="city" placeholder="Enter City" class="form-control" value="{{$user->city}}">
                                        @if ($errors->has('city'))
                                            <div class="invalid-feedback">{{ $errors->first('city') }}</div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="text-white">State</label>
                                        <input type="text" name="state" placeholder="Enter State" class="form-control" value="{{$user->state}}">
                                        @if ($errors->has('state'))
                                            <div class="invalid-feedback">{{ $errors->first('state') }}</div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="text-white">Zipcode</label>
                                        <input type="number" name="zipcode" placeholder="Enter Zipcode" class="form-control" value="{{$user->zipcode}}">
                                        @if ($errors->has('citzipcodey'))
                                            <div class="invalid-feedback">{{ $errors->first('zipcode') }}</div>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="text-white">Address</label>
                                        <input type="text" name="address" placeholder="Enter Address" class="form-control" value="{{$user->address}}">
                                        @if ($errors->has('address'))
                                            <div class="invalid-feedback">{{ $errors->first('address') }}</div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="text-white">Address Line2</label>
                                        <input type="text" name="address_line" placeholder="Enter Address Line2" class="form-control" value="{{$user->address_line}}">
                                        @if ($errors->has('address_line'))
                                            <div class="invalid-feedback">{{ $errors->first('address_line') }}</div>
                                        @endif
                                    </div>
                                </div>
                            </div> 

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-fill-out btn-block">Save</button>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <a href="{{route('users.index')}}" class="btn btn-fill-out btn-block">Cancel</a>
                                    </div>
                                </div>
                            </div>                                                    
                        </form>                                                                            
                    </div>
                </div>
            </div>
            <div class="col-lg-3 order-lg-first mt-4 pt-2 mt-lg-0 pt-lg-0">
            	<div class="sidebar">
                	<div class="widget">
                        @include('layouts.user_menu')
                    </div>                    
                </div>
            </div>
        </div>
    </div>
</div>


@endsection


@push('js')
<script type="text/javascript">
    $(function(){
        $('.dashboard').addClass('active');
        $('.my_account').addClass('active');
    });
</script>
@endpush
