@extends('layouts.app')

@section('content')

<div class="breadcrumb_section page-title-mini">
    <div class="container">
        <div class="row align-items-center">
        	<div class="col-md-6">
                <div class="page-title">
            		<h1 class="text-white">Welcome {{ Helper::showUsername() }}</h1>
                </div>
            </div>
            <div class="col-md-6">
                <ol class="breadcrumb justify-content-md-end">
                    <li class="breadcrumb-item"><a href="{{route('index')}}" class="text-white">Home</a></li>
                    <li class="breadcrumb-item text-white active">My Profile</li>
                </ol>
            </div>
        </div>
    </div>
</div>

<div class="section">
	<div class="container">
    	<div class="row">
            <div class="col-lg-6">
                <div class="row">
                    <div class="col-lg-6 col-6">
                        <h6 class="text-white"><i class="linearicons-user"></i> {{$user->first_name}} {{$user->last_name}} </h6>
                    </div>
                    <div class="col-lg-6 col-6">
                        <h6 class="text-right"><a href="{{route('users.edit')}}"><span>Edit</span> <i class="fas fa-edit"></i></a></h6>
                    </div>
                </div>
                <div class="table-responsive">
                    <table class="table table-bordered ">
                        <tbody>
                            <tr>
                                <td>Name</td>
                                <td>{{$user->full_name}}</td>                                
                            </tr>  
                            <tr>
                                <td>Email</td>
                                <td>{{$user->email}}</td>                                
                            </tr>     
                            <tr>
                                <td>Mobile No.</td>
                                <td>{{$user->mobile_no}}</td>                                
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="col-lg-3 order-lg-first mt-4 pt-2 mt-lg-0 pt-lg-0">
                <div class="sidebar">
                    <div class="widget">
                        @include('layouts.user_menu')
                    </div>                    
                </div>
            </div>
        </div>
    </div>
</div>


@endsection


@push('js')
<script type="text/javascript">
    $(function(){
        $('.dashboard').addClass('active');
        $('.my_account').addClass('active');
    });
</script>
@endpush
