@extends('layouts.app')

@section('content')
<div class="breadcrumb_section page-title-mini">
    <div class="container">
        <div class="row align-items-center">
        	<div class="col-md-6">
                <div class="page-title">
            		<h1 class="text-white">Welcome {{ Helper::showUsername() }}</h1>
                </div>
            </div>
            <div class="col-md-6">
                <ol class="breadcrumb justify-content-md-end">
                    <li class="breadcrumb-item"><a href="{{route('index')}}" class="text-white">Home</a></li>
                    <li class="breadcrumb-item text-white active">Change Password</li>
                </ol>
            </div>
        </div>
    </div>
</div>

<div class="section">
	<div class="container">
    	<div class="row">
            <div class="col-lg-6">                
                @include('layouts.session')                
                <form action="{{route('change.password.update')}}" method="post" class="update_password_form" enctype="multipart/form-data">
                    @csrf
                    
                    <div class="row">
                        <div class="form-group col-md-12">
                            <label class="text-white">Current Password <span class="required">*</span></label>
                            <input type="password" name="current_password" class="form-control" id="password" placeholder="Current Password" required/>
                            @if ($errors->has('current_password'))
                                <div class="invalid-feedback">{{ $errors->first('current_password') }}</div>
                            @endif
                        </div>
                        <div class="form-group col-md-12">
                            <label class="text-white">New Password <span class="required">*</span></label>
                            <input type="password" name="new_password" class="form-control" id="new_password" placeholder="New Password" required/>
                            @if ($errors->has('new_password'))
                                <div class="invalid-feedback">{{ $errors->first('new_password') }}</div>
                            @endif
                        </div>
                        <div class="form-group col-md-12">
                            <label class="text-white">Confirm Password <span class="required">*</span></label>
                            <input type="password" name="new_confirm_password" class="form-control" id="new_confirm_password" placeholder="Confirm Password" required />
                            @if ($errors->has('new_confirm_password'))
                                <div class="invalid-feedback">{{ $errors->first('new_confirm_password') }}</div>
                            @endif
                        </div>
                        <div class="col-md-12">
                            <button type="submit" class="btn btn-fill-out" name="btnSubmit"><i class="fas fa-file"></i> Save</button>
                            <a href="{{route('home')}}" class="btn btn-fill-out checkout"><i class="fas fa-arrow-left"></i> Back</a>
                        </div>

                    </div>
                </form>                
            </div>
            <div class="col-lg-3 order-lg-first mt-4 pt-2 mt-lg-0 pt-lg-0">
            	<div class="sidebar">
                	<div class="widget">
                        @include('layouts.user_menu')
                    </div>                    
                </div>
            </div>
        </div>
    </div>
</div>

@endsection


@push('js')
<script type="text/javascript">
    $(function(){
        $('.dashboard').addClass('active');
        $('.change_password').addClass('active');
    });
</script>
@endpush
