@if(count($data) > 0 )
    <div class="row shop_container frontend_list">
        <div class="col-md-12 mb-2">
            <span>Showing : {{ ($data->currentpage()-1)*$data->perpage()+1 }} - {{ ($data->currentpage()*$data->perpage() < $data->total()) ? $data->currentpage()*$data->perpage() : $data->total()  }} of {{ $data->total() }}</span>
            <span class="float-right">Total: {{ $data->total() }}</span>
        </div>
        @forelse($data as $product)
            <div class="col-md-4 col-6">
                <div class="product">
                    <div class="product_img">
                        <a href="{{route('products.show',[$product->category->slug,$product->type->slug,$product->slug])}}">
                            <img src="{{checkProductImagExist($product->product_image)['path']}}" alt="{{$product->product_name}}"/>
                        </a>
                        <div class="product_action_box">
                            <ul class="list_none pr_action_btn">
                                <li class="add-to-cart"><a href="javascript:void(0)" data-url="{{route('products.product-quick-view',$product->id)}}" class="popup-ajax"><i class="icon-basket-loaded"></i> Add To Cart</a></li>
                                <!-- <li><a href="javascript:void(0)" data-url="{{route('products.product-quick-view',$product->id)}}" class="popup-ajax"><i class="icon-magnifier-add"></i></a></li> -->
                                {{-- @if(Auth::user())
                                    <li><a href="javascript:void(0)" class="add_to_wishlist {{ isWishlist($product->id) ? 'active_wishlist' : 'inactive_wishlist' }}" data-val="{{$product->id}}"><i class="icon-heart"></i></a></li>
                                @else
                                    <li><a href="{{route('login')}}"><i class="icon-heart"></i></a></li>
                                @endif --}}
                            </ul>
                        </div>
                    </div>
                    <div class="product_info">
                        <h6 class="product_title"><a href="{{route('products.show',[$product->category->slug,$product->type->slug, $product->slug])}}">{{ucfirst($product->product_name)}} ({{ucfirst($product->category->category_name)}})</a></h6>
                        <div class="product_price">
                            <span class="price">${{$product->price}}</span>
                            <!-- <del>${{$product->price + rand(5,10)}}</del>
                            <div class="on_sale">
                                <span>5% Off</span>
                            </div> -->
                        </div> 
                        <div class="pr_desc">
                            <p>{{$product->details}}</p>
                        </div>  
                        <div class="list_product_action_box">
                            @forelse($attributes as $attribute)
                                <?php
                                    $attribute_value = $controller->getProductAttributeValue($product->id, $attribute->id);
                                    // echo '<pre>';print_r($attribute_value);
                                ?>
                                @if(count($attribute_value) > 0)
                                    <div class="pr_switch_wrap">
                                        <span class="switch_lable">{{$attribute->name}}</span>
                                        <div class="product_size_switch">
                                            @forelse($attribute_value as $key => $attr_value)
                                                <span class="product_size" data-a_value_id="{{$attr_value->id}}" data-price="{{$attr_value->pivot->price}}">{{$attr_value->value}}</span>                                            
                                            @empty
                                            @endforelse
                                        </div>
                                    </div>
                                @endif
                            @empty
                            @endforelse
                            <!-- <div class="cart-product-quantity">
                                <div class="quantity">
                                    <input type="button" value="-" class="minus">
                                    <input type="text" name="quantity" id="quantity" value="1" title="Qty" class="qty" size="4">
                                    <input type="button" value="+" class="plus">
                                </div>
                            </div> -->
                            <ul class="list_none pr_action_btn">
                                <li class="add-to-cart"><a href="javascript:void(0)" data-url="{{route('products.product-quick-view',$product->id)}}" class="popup-ajax"><i class="icon-basket-loaded"></i> Add To Cart</a></li> 
                                <li><a href="javascript:void(0)" data-url="{{route('products.product-quick-view',$product->id)}}" class="popup-ajax"><i class="icon-magnifier-add"></i></a></li>
                                <li><a href="javascript:void(0)" class="add_to_wishlist {{ isWishlist($product->id) ? 'active_wishlist' : 'inactive_wishlist' }}" data-val="{{$product->id}}"><i class="icon-heart"></i></a></li>
                            </ul>
                        </div>                      
                    </div>
                </div>
            </div>  
        @empty
            <div class="alert alert-danger mt-5 col-md-12 text-center">No Cakes Found In Your Wishlist</div>
        @endforelse
    </div>
    <div class="row">
        <div class="col-12">
            @include('layouts.pagination.default', ['paginator' => $data])
        </div>
    </div>
@else
    <div class="alert alert-danger mt-5 col-md-12 text-center">No Cakes Found In Your Wishlist</div>
@endif
