@extends('layouts.app')

@section('content')
<div class="breadcrumb_section page-title-mini">
    <div class="container">
        <div class="row align-items-center">
        	<div class="col-md-6">
                <div class="page-title">
            		<h1 class="text-white">Welcome {{ Helper::showUsername() }}</h1>
                </div>
            </div>
            <div class="col-md-6">
                <ol class="breadcrumb justify-content-md-end">
                    <li class="breadcrumb-item"><a href="{{ route('index') }}" class="text-white">Home</a></li>
                    <li class="breadcrumb-item text-white active">Dashboard</li>
                </ol>
            </div>
        </div>
    </div>
</div>

<div class="section">
	<div class="container">
    	<div class="row">
			<div class="col-lg-9">
                <div class="card border-white">
                <header class="card-header text-white"> Recent Orders</header>
                @if(sizeof($orders) > 0)
                    <div class="card-body text-white">                    
                        @foreach($orders as $recent_order)
                            <div class="row">
                                <div class="col-md-12">
                                    <h6 class="text-white">Order ID: <a href="{{route('orders.show', $recent_order->order_id)}}" class="text-primary">{{$recent_order->order_id}}</a></h6>
                                    <h6 class="text-white">Order Date: {{date('Y-m-d H:m',strtotime($recent_order->created_at))}}</h6>
                                    <article class="card">
                                        <div class="card-body row">
                                            <div class="col-md-3 col-sm-6 col-xs-6"> <strong>Order Progress:</strong> <br> {{ucfirst($recent_order->order_status)}} </div>
                                            <div class="col-md-3 col-sm-6 col-xs-6"> <strong>Amount:</strong> <br> ${{Helper::setPriceFormat($recent_order->grand_total)}} </div>
                                        </div>
                                    </article>
                                    {{-- <div class="track">
                                        <div class="step {{ ($recent_order->order_status == 'process' || $recent_order->order_status == 'layered' || $recent_order->order_status == 'ready' || $recent_order->order_status == 'pickedup' || $recent_order->order_status == 'delivered') ? 'active' : ''}}"> <span class="icon"> <i class="fa fa-check"></i> </span> <span class="text">Order confirmed</span> </div>
                                        <div class="step {{ ($recent_order->order_status == 'layered' || $recent_order->order_status == 'ready' || $recent_order->order_status == 'pickedup' || $recent_order->order_status == 'delivered') ? 'active' : ''}}"> <span class="icon"> <i class="fa fa-database"></i> </span> <span class="text"> Cake Layered </span> </div>
                                        <div class="step {{ ($recent_order->order_status == 'ready' || $recent_order->order_status == 'pickedup' || $recent_order->order_status == 'delivered') ? 'active' : ''}}"> <span class="icon"> <i class="fa fa-gift"></i> </span> <span class="text"> Cake Is Ready </span> </div>
                                        @if($recent_order->order_status == 'pickedup' || $recent_order->delivery_option == 'pickup')
                                        <div class="step {{ ($recent_order->order_status == 'pickedup') ? 'active' : ''}}"> <span class="icon"> <i class="fa fa-box"></i> </span> <span class="text"> Picked Up </span> </div>
                                        @endif
                                        @if($recent_order->order_status == 'delivered' || $recent_order->delivery_option == 'delivery')
                                        <div class="step {{ ($recent_order->order_status == 'delivered') ? 'active' : ''}}"> <span class="icon"> <i class="fa fa-box"></i> </span> <span class="text"> Delivered </span> </div>
                                        @endif
                                    </div> --}}
                                </div>
                            </div>
                            <hr class="mt-5 mb-5"/>
                        @endforeach                                            
                    </div>
                @else
                    <div class="alert alert-danger mt-5 col-md-12 text-center">No Active Order Found</div>
                @endif
                </div>
            </div>
            <div class="col-lg-3 order-lg-first mt-4 pt-2 mt-lg-0 pt-lg-0">
            	<div class="sidebar">
                	<div class="widget">
                        @include('layouts.user_menu')
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

</div>
@endsection
@push('js')
<script>
    $('.main_dashboard').addClass('active');
</script>
@endpush
