<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
<!-- Meta -->
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta content="Anil z" name="author">

@stack('metatag')

<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="todayplr, amazon book">
<meta name="keywords" content="todayplr, amazon book">

<!-- SITE TITLE -->
<title>{{ config('app.name') }}</title>

<!-- CSRF Token -->
<meta name="csrf-token" content="{{ csrf_token() }}">
<meta name="currency" content="{{ Helper::getCurrency() }}">


<!-- Favicon Icon -->
<link rel="shortcut icon" type="image/x-icon" href="{{asset('/frontend/assets/images/favicon/favicon.ico')}}">
<link rel="apple-touch-icon" sizes="57x57" href="{{asset('/frontend/assets/images/favicon/')}}/apple-icon-57x57.png">
<link rel="apple-touch-icon" sizes="60x60" href="{{asset('/frontend/assets/images/favicon//apple-icon-60x60.png')}}">
<link rel="apple-touch-icon" sizes="72x72" href="{{asset('/frontend/assets/images/favicon//apple-icon-72x72.png')}}">
<link rel="apple-touch-icon" sizes="76x76" href="{{asset('/frontend/assets/images/favicon//apple-icon-76x76.png')}}">
<link rel="apple-touch-icon" sizes="114x114" href="{{asset('/frontend/assets/images/favicon//apple-icon-114x114.png')}}">
<link rel="apple-touch-icon" sizes="120x120" href="{{asset('/frontend/assets/images/favicon/apple-icon-120x120.png')}}">
<link rel="apple-touch-icon" sizes="144x144" href="{{asset('/frontend/assets/images/favicon/apple-icon-144x144.png')}}">
<link rel="apple-touch-icon" sizes="152x152" href="{{asset('/frontend/assets/images/favicon/apple-icon-152x152.png')}}">
<link rel="apple-touch-icon" sizes="180x180" href="{{asset('/frontend/assets/images/favicon/apple-icon-180x180.png')}}">
<link rel="icon" type="image/png" sizes="192x192"  href="{{asset('/frontend/assets/images/favicon/android-icon-192x192.png')}}">
<link rel="icon" type="image/png" sizes="32x32" href="{{asset('/frontend/assets/images/favicon/favicon-32x32.png')}}">
<link rel="icon" type="image/png" sizes="96x96" href="{{asset('/frontend/assets/images/favicon//favicon-96x96.png')}}">
<link rel="icon" type="image/png" sizes="16x16" href="{{asset('/frontend/assets/images/favicon/favicon-16x16.png')}}">
<link rel="manifest" href="{{asset('/frontend/assets/images/favicon/manifest.json')}}">
<meta name="msapplication-TileColor" content="#ffffff">
<meta name="msapplication-TileImage" content="{{asset('/frontend/assets/images/favicon/ms-icon-144x144.png')}}">
<meta name="theme-color" content="#ffffff">

<!-- Animation CSS -->
<link rel="stylesheet" href="{{asset('/frontend/assets/css/animate.css')}}">
<!-- Latest Bootstrap min CSS -->
<link rel="stylesheet" href="{{asset('/frontend/assets/bootstrap/css/bootstrap.min.css')}}">
<!-- Google Font -->
<link href="https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900&display=swap" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900&display=swap" rel="stylesheet">
<!-- Icon Font CSS -->
<link rel="stylesheet" href="{{asset('/frontend/assets/css/all.min.css')}}">
<link rel="stylesheet" href="{{asset('/frontend/assets/css/ionicons.min.css')}}">
<link rel="stylesheet" href="{{asset('/frontend/assets/css/themify-icons.css')}}">
<link rel="stylesheet" href="{{asset('/frontend/assets/css/linearicons.css')}}">
<link rel="stylesheet" href="{{asset('/frontend/assets/css/flaticon.css')}}">
<link rel="stylesheet" href="{{asset('/frontend/assets/css/simple-line-icons.css')}}">

<!-- fontawesome icon -->
<link rel="stylesheet" href="{{ asset('/backend/assets/fonts/fontawesome/css/fontawesome-all.min.css') }}">
<!--- owl carousel CSS-->
<link rel="stylesheet" href="{{asset('/frontend/assets/owlcarousel/css/owl.carousel.min.css')}}">
<link rel="stylesheet" href="{{asset('/frontend/assets/owlcarousel/css/owl.theme.css')}}">
<link rel="stylesheet" href="{{asset('/frontend/assets/owlcarousel/css/owl.theme.default.min.css')}}">
<!-- Magnific Popup CSS -->
<link rel="stylesheet" href="{{asset('/frontend/assets/css/magnific-popup.css')}}">
<!-- Slick CSS -->
<link rel="stylesheet" href="{{asset('/frontend/assets/css/slick.css')}}">
<link rel="stylesheet" href="{{asset('/frontend/assets/css/slick-theme.css')}}">
<!-- Style CSS -->
<link rel="stylesheet" href="{{asset('/frontend/assets/css/style.css')}}">
<link rel="stylesheet" href="{{asset('/frontend/assets/css/responsive.css')}}">

<link href="{{ asset('/backend/assets/css/dataTables.bootstrap4.min.css') }}" rel="stylesheet">
<link href="{{ asset('/backend/assets/css/jquery-confirm.css') }}" rel="stylesheet" media="all">
<link href="{{ asset('/backend/assets/css/sweetalert2.min.css') }}" rel="stylesheet" media="all">
<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<link rel="stylesheet" href="{{asset('backend/assets/css/jquery.loadingModal.css')}}">
<link rel="stylesheet" href="{{ asset('/frontend/assets/css/daterangepicker.min.css') }}" type="text/css" />
<link rel="stylesheet" href="{{asset('/frontend/assets/css/custom.css')}}">

@stack('css')

</head>

<body>

<!-- LOADER -->
<!-- <div class="preloader">
    <div class="lds-ellipsis">
        <span></span>
        <span></span>
        <span></span>
    </div>
</div> -->
<!-- END LOADER -->

<!-- Home Popup Section -->
<div class="modal fade wallet_popup" id="wallet-popup" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-md modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><i class="ion-ios-close-empty"></i></span>
                </button>
                <div class="row">
                    <div class="col-sm-12">
                        <div class="popup_content">
                            <div class="popup-text">
                                <div class="heading_s3 text-center">
                                    <h4>Metamask Wallet Connected Successfully!</h4>
                                </div>
                                <p>Account ID : <span class="showAccount"></span><span class="showAccount"></span></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    	</div>
    </div>
</div>
<!-- End Screen Load Popup Section -->

@include('layouts.header')

@yield('content')

@include('layouts.footer')

<a href="#" class="scrollup" style="display: none;"><i class="ion-ios-arrow-up"></i></a>

<!-- Latest jQuery -->
<script src="{{asset('/frontend/assets/js/jquery-1.12.4.min.js')}}"></script>
<!-- popper min js -->
<script src="{{asset('/frontend/assets/js/popper.min.js')}}"></script>
<!-- Latest compiled and minified Bootstrap -->
<script src="{{asset('/frontend/assets/bootstrap/js/bootstrap.min.js')}}"></script>
<!-- owl-carousel min js  -->
<script src="{{asset('/frontend/assets/owlcarousel/js/owl.carousel.min.js')}}"></script>
<!-- magnific-popup min js  -->
<script src="{{asset('/frontend/assets/js/magnific-popup.min.js')}}"></script>
<!-- waypoints min js  -->
<script src="{{asset('/frontend/assets/js/waypoints.min.js')}}"></script>
<!-- parallax js  -->
<script src="{{asset('/frontend/assets/js/parallax.js')}}"></script>
<!-- countdown js  -->
<script src="{{asset('/frontend/assets/js/jquery.countdown.min.js')}}"></script>
<!-- fit video  -->
<script src="{{asset('/frontend/assets/js/Hoverparallax.min.js')}}"></script>
<!-- imagesloaded js -->
<script src="{{asset('/frontend/assets/js/imagesloaded.pkgd.min.js')}}"></script>
<!-- isotope min js -->
<script src="{{asset('/frontend/assets/js/isotope.min.js')}}"></script>
<!-- jquery.appear js  -->
<script src="{{asset('/frontend/assets/js/jquery.appear.js')}}"></script>
<!-- jquery.dd.min js -->
<script src="{{asset('/frontend/assets/js/jquery.dd.min.js')}}"></script>
<!-- slick js -->
<script src="{{asset('/frontend/assets/js/slick.min.js')}}"></script>
<!-- elevatezoom js -->
<script src="{{asset('/frontend/assets/js/jquery.elevatezoom.js')}}"></script>

<script type="text/javascript" src="{{ asset('/backend/assets/js/jquery.dataTables.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('/backend/assets/js/dataTables.bootstrap4.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('/backend/assets/js/dataTables.checkboxes.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('/backend/assets/js/dataTables.rowReorder.min.js') }}"></script>

<!-- scripts js -->
<script src="{{asset('/frontend/assets/js/scripts.js')}}"></script>

<script type="text/javascript" src="{{ asset('/backend/assets/js/jquery.validate.js') }}"></script>
<script type="text/javascript" src="{{ asset('/backend/assets/js/jquery.validate.file.js') }}"></script>
<script type="text/javascript" src="{{ asset('/backend/assets/js/jquery-confirm.js') }}"></script>
<script  src="{{ asset('/backend/assets/js/sweetalert2.all.min.js') }}"></script>
<script src="{{asset('/backend/assets/js/custom.js')}}"></script>
<script type="text/javascript" src="{{ asset('/backend/assets/js/jquery.loadingModal.js') }}"></script>

<script defer src="{{ asset('/frontend/assets/js/daterangepicker.min.js') }}" type="text/jscript"></script>
<script type="text/javascript" src="https://momentjs.com/downloads/moment-with-locales.min.js"></script>

<!-- <script src="https://unpkg.com/@metamask/legacy-web3@latest/dist/metamask.web3.min.js"></script> -->
<script src="https://cdn.jsdelivr.net/gh/ethereum/web3.js/dist/web3.min.js"></script>

<script src="{{asset('/js/common.js')}}"></script>

<script>
    const ethereumButton = document.querySelector('.connect_wallet_btn');
    const showAccount = document.querySelector('.showAccount');
    let connected_address = '';

    window.addEventListener('load', async() => {
        connectMetaMask();
    });

    ethereumButton.addEventListener('click', () => {
        connectMetaMask();
    });

    async function connectMetaMask() {
        if(connected_address != ''){
            SwalModel('Warning!', "Metamask already connected", 'warning');
            // disconnectMetaMask();
            return false
        }

        if (window.ethereum){
            window.web3 = new Web3(ethereum);
            try {
                // await ethereum.enable();
                getAccount();
                addNetwork();
            } catch(error) {
                SwalModel('Error!', "Error occured when opening Metamask"+ error, 'error');
            }
        }else if (window.web3){
            window.web3 = new Web3(web3.currentProvider);
        }else{
            // window.location.href="https://metamask.io/download/";
        }
    }

    async function disconnectMetaMask() {
        window.ethereum.on('disconnect', async () => {
            console.log('hi');
        });

        // await ethereum
        //     .request({
        //         method: 'wallet_requestPermissions',
        //         params: [
        //             {
        //                 eth_accounts: {connected_address}
        //             }
        //         ]
        //     })
        //     .then((resp) => {
        //         console.log(resp);
        //     })
        //     .catch((err) => {
        //         SwalModel('Error!', err.message+' Please unlock metamask', 'error');
        //     });
    }

    async function getAccount() {
        await ethereum
            .request({
                method: 'eth_requestAccounts'
            })
            .then((resp) => {
                connected_address = resp[0];
                // console.log(connected_address);
                let first_five_char = connected_address.substring(0, 5);
                let last_four_char = connected_address.substring(connected_address.length - 4);
                var finel_str = ('('+first_five_char+'...'+last_four_char+')').toUpperCase();
                // finel_str = finel_str+'<br>'+'disconnect';
                $('.connect_wallet_btn').html(finel_str);
            })
            .catch((err) => {
                SwalModel('Error!', err.message+' Please unlock metamask', 'error');
            });
    }

    async function addNetwork(){
        try {
            await ethereum
            .request({
                method: 'wallet_addEthereumChain',
                params: [{
                    // // Smart Chain - Testnet
                    // chainId: '0x61',
                    // chainName: 'Smart Chain - Testnet',
                    // rpcUrls: ['https://data-seed-prebsc-1-s1.binance.org:8545/'],

                    // Binance Smart Chain Mainnet
                    chainId: '0x38',
                    chainName: 'Binance Smart Chain Mainnet',
                    rpcUrls: ['https://bsc-dataseed.binance.org/'],
                    nativeCurrency: {
                        name: "BNB",
                        symbol: "BNB",
                        decimals: 18,
                    },
                    blockExplorerUrls: ["https://bscscan.com/"],
                    iconUrls: [""],
                }],
            })
            .then((resp) => {
            })
            .catch((err) => {
                SwalModel('Error!', err.message, 'error');
            });

        } catch (addError) {
            SwalModel('Error!', addError.message, 'error');
        }
    }

    async function addContractToken() {
        const tokenAddress = `token_address`;
        const tokenSymbol = `token_symbol`;
        const tokenDecimals = `token_decimals`;
        const tokenImage = `{{asset('backend/assets/images/token_image/')}}/token_image}}`;

        try {
            // wasAdded is a boolean. Like any RPC method, an error may be thrown.
            await ethereum
                .request({
                    method: 'wallet_watchAsset',
                    params: {
                        type: 'ERC20', // Initially only supports ERC20, but eventually more!
                        options: {
                            address: tokenAddress, // The address that the token is at.
                            symbol: tokenSymbol, // A ticker symbol or shorthand, up to 5 chars.
                            decimals: tokenDecimals, // The number of decimals in the token
                            image: tokenImage, // A string url of the token logo
                            // address_eip1191: '0x61'
                        },
                    },
                })
                .then((resp) => {
                    console.log('addContractToken success');
                    // console.log(resp);
                    // EThAppDeploy.payNow(ethereum, from_address);
                })
                .catch((err) => {
                    console.log('addContractToken error');
                });
        } catch (error) {
            console.log(error);
        }
    }

    async function getTransactionDetails(txHash){
        // var response;
        try {
            return await ethereum
            .request({
                method: 'eth_getTransactionByHash',
                params: [txHash],
            })
            .then((resp) => {
                return response = resp;
            })
            .catch((err) => {
                SwalModel('Error!', err.message, 'error');
            });

        } catch (addError) {
            SwalModel('Error!', addError.message, 'error');
        }
        // return response;
    }

    function SwalModel(title, error_msg, error_type){
        hideLoader();
        Swal.fire({
            title: title,
            text: error_msg,
            type: error_type,
        }).then(function() {
            // window.location = "{{route('index')}}";
        });
    }

</script>
<script>
    $(function(){
        // Add to cart
        $(document.body).on('click', '.add_to_cart', function(e){
            e.preventDefault();
            var me = $(this);
            var product_id = me.attr('data-product_id');
            var color = $('.pr_switch_wrap .product_color_switch span.active').attr('data-color');
            var size = $('.pr_switch_wrap .product_size_switch span.active').attr('data-size');
            var quantity = $(".cart-product-quantity .quantity #quantity").val();

            if(quantity == undefined){
                quantity = 1;
            }

            if(!isSet(product_id)) {
                SimpleAlert('Product not found');
                return false;
            }

            if(!isSet(color)) {
                SimpleAlert('Please Select Color.');
                return false;
            }

            if(!isSet(size)) {
                SimpleAlert('Please Select Size.');
                return false;
            }
            showLoader();
            $.ajax({
                url:"{{route('carts.store')}}",
                type: 'POST',
                dataType: "json",
                data: {
                    '_token': '{{csrf_token()}}',
                    product_id: product_id,
                    color: color,
                    size: size,
                    quantity: quantity
                },
                success: function( response ) {
                    hideLoader();
                    var session = response.msg;
                    if(response.status == 'success'){
                        $('.header_cart .cart_list').html(response.data.html);
                        $('.cart_count').html(response.data.cart_count);
                        $('.header_cart .header_cart_footer').html(response.data.header_cart_footer);
                        // window.location.href = "carts.index";
                        if (session != ""){
                            Swal.fire({
                                title: 'Product added to cart!',
                                // text: session,
                                type: 'success',
                                timer: 2000
                                // confirmButtonText: 'Continue Shopping'
                            }).then(function() {
                                // window.location = "{{route('index')}}";
                            });
                        }
                    }else if(response.status == 'checkout'){
                        if (session != ""){
                            Swal.fire({
                                title: 'Warning!',
                                text: session,
                                type: 'info',
                            }).then(function() {
                                window.location = "checkouts.index";
                            });
                        }
                    }else{
                        if (session != ""){
                            Swal.fire({
                                title: 'Warning!',
                                text: session,
                                type: 'info',
                            }).then(function() {
                                // window.location = "{{route('index')}}";
                            });
                        }
                    }
                }
            });
        });

        // Buy Now
        $(document.body).on('click', '.buy_now', function(e){
            e.preventDefault();
            var me = $(this);
            var product_id = me.attr('data-product_id');
            var color = $('.pr_switch_wrap .product_color_switch span.active').attr('data-color');
            var size = $('.pr_switch_wrap .product_size_switch span.active').attr('data-size');
            var quantity = $(".cart-product-quantity .quantity #quantity").val();

            if(!isSet(product_id)) {
                SimpleAlert('Product not found');
                return false;
            }

            if(!isSet(color)) {
                SimpleAlert('Please Select Color.');
                return false;
            }

            if(!isSet(size)) {
                SimpleAlert('Please Select Size.');
                return false;
            }
            showLoader();

            $.ajax({
                url:"{{route('carts.store')}}",
                type: 'POST',
                dataType: "json",
                data: {
                    '_token': '{{csrf_token()}}',
                    product_id: product_id,
                    color: color,
                    size: size,
                    quantity: quantity
                },
                success: function( response ) {
                    hideLoader();
                    var session = response.msg;
                    if(response.status == 'success'){
                        $('.header_cart .cart_list').html(response.data.html);
                        $('.cart_count').html(response.data.cart_count);
                        $('.header_cart .header_cart_footer').html(response.data.header_cart_footer);
                        window.location.href = "checkouts.index";
                    }else{
                        if (session != ""){
                            Swal.fire({
                                title: 'Warning!',
                                text: session,
                                type: 'info',
                            }).then(function() {
                                // window.location = "{{route('index')}}";
                            });
                        }
                    }
                }
            });
        });

        // Remove product from cart
        $(document.body).on('click', '.remove_header_cart_item_btn', function(e){
            e.preventDefault();
            var me = $(this);
            var rowid = me.attr('data-rowid');
            if(typeof(rowid) == "undefined" || rowid == null || rowid == '') {
                SimpleAlert('Rowid not found');
                return false;
            }
            var url = '{{ route("carts.destroy", [":rowid"]) }}';
            url = url.replace(':rowid', rowid);
            showLoader();
            $.ajax({
                url:url,
                type: 'DELETE',
                dataType: "json",
                data: {
                    '_token': '{{csrf_token()}}',
                },
                success: function( response ) {
                    hideLoader();
                    var session = response.msg;
                    if(response.status == 'success'){
                        me.closest('li').remove();
                        $('.cart_count').html(response.data.cart_count);
                        $('.header_cart .header_cart_footer').html(response.data.header_cart_footer);

                        location.reload();
                    }
                },
            });
        });

        //Add remove Bookmark
        $(document.body).on('click','.add_to_wishlist', function(){
            var me = $(this);
            var product_id = me.attr('data-val');

            if (me.hasClass('active_wishlist')) {
                status = '0';
            } else {
                status = '1';
            }

            showLoader();
            $.ajax({
                type:'post',
                url:'{!! route('wishlists.store') !!}',
                data: {
                    'status': status,
                    'product_id': product_id,
                    '_token': '{{csrf_token()}}',
                },
                dataType:'json',
                success:function(data){
                    hideLoader();
                    if(data.status == 'success'){
                        if(data.status == 'success'){
                            if (me.hasClass('active_wishlist')) {
                                me.addClass('inactive_wishlist');
                                me.removeClass('active_wishlist');
                            } else {
                                me.addClass('active_wishlist');
                                me.removeClass('inactive_wishlist');
                            }
                        }
                        var session = data.msg;
                        if (session != ""){
                            Swal.fire({
                                title: 'Good job!',
                                text: session,
                                type: 'success',
                                // confirmButtonText: 'Deposit Funds'
                            }).then(function() {
                                // window.location = "https://cryptolico.com/portal/deposit-fund";
                            });
                        }

                    }else{
                        SimpleAlert('Bookmark Allready Saved!');
                    }
                }
            });
        });

    });
</script>

@stack('js')

</body>
</html>


