@php
    $categories = App\Models\Admin\Category::Active()->whereNull('parent_id')->get()->take(4);
@endphp
<!-- START HEADER -->
<header class="header_wrap fixed-top header_with_topbar">
    {{-- <div class="top-header">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-md-6">
                	<div class="text-center text-md-right">
                       	<ul class="header_list">
                            @guest
                                @if (Route::has('login'))
                                    <li><a href="{{ route('login') }}"><i class="ti-user"></i><span>Login</span></a></li>
                                    @endif
                                @if (Route::has('register'))
                                    <li><a href="{{ route('register') }}"><i class="ti-user"></i><span>Register</span></a></li>
                                @endif
                            @else
                                <li class="dropdown">
                                    <a data-toggle="dropdown" class="nav-link dropdown-toggle" href="#">
                                        {{ Auth::user()->first_name }}
                                    </a>
                                    <div class="dropdown-menu">
                                        <ul>
                                            <li><a class="dropdown-item nav-link nav_item" href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Logout</a></li>
                                            <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                                @csrf
                                            </form>
                                            <li><a class="dropdown-item nav-link nav_item" href="{{ route('home') }}">Dashboard</a></li>
                                        </ul>
                                    </div>
                                </li>
                             @endif
						</ul>
                    </div>
                </div>
            </div>
        </div>
    </div> --}}
    <div class="bottom_header dark_skin main_menu_uppercase">
    	<div class="container">
            <nav class="navbar navbar-expand-lg">
                <a class="navbar-brand" href="{{route('index')}}">
                    <img class="logo_light" src="{{asset('/frontend/assets/images/logo_light.png')}}" alt="logo" />
                    <img class="logo_dark" src="{{asset('/frontend/assets/images/logo_dark.png')}}" width="270" alt="logo" />
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-expanded="false">
                    <span class="ion-android-menu"></span>
                </button>
                <div class="collapse navbar-collapse justify-content-end" id="navbarSupportedContent">
                    <ul class="navbar-nav">
                        <li><a class="nav-link nav_item menu_home" href="{{url('/')}}">Home</a></li>
                        @forelse($categories as $category)
                        <li class="dropdown">
                            <a class="dropdown-toggle nav-link menu_{{$category->slug}}" href="{{ route('products', [$category->slug]) }}" data-toggle="dropdown">{{$category->name}}</a>
                            <div class="dropdown-menu">
                                <ul>
                                    @forelse($category->subcategory as $subcategory)
                                    <li><a class="dropdown-item nav-link nav_item" href="{{ route('products', [$category->slug, $subcategory->slug]) }}">{{$subcategory->name}}</a></li>
                                    @empty
                                    @endforelse
                                </ul>
                            </div>
                        </li>
                        @empty
                        @endforelse
                        <li><a class="nav-link nav_item about_us" href="#">About Us</a></li>
                        <li><a class="nav-link nav_item contact_us" href="#">Contact Us</a></li>
                        <li><a class="nav-link nav_item latest_product" href="{{route('latest.product')}}">Latest Product</a></li>
                        <li><a class="nav-link nav_item connect_wallet_btn" href="javascript:void(0);">Connect Wallet</a></li>
                    </ul>
                </div>
                <ul class="navbar-nav attr-nav align-items-center">
                    <li><a href="javascript:void(0);" class="nav-link search_trigger"><i class="linearicons-magnifier"></i></a>
                        <div class="search_wrap">
                            <span class="close-search"><i class="ion-ios-close-empty"></i></span>
                            <form>
                                <input type="text" placeholder="Search" class="form-control" id="search_input">
                                <button type="submit" class="search_icon"><i class="ion-ios-search-strong"></i></button>
                            </form>
                        </div><div class="search_overlay"></div>
                    </li>

                    @if(\Auth::user())
                        @php $cart_count = App\Models\ShoppingCart::where('user_id', '=', Auth::user()->id)->sum('quantity'); @endphp
                    @else
                        @php $cart_count = Cart::count(); @endphp
                    @endif

                    <li class="dropdown cart_dropdown"><a class="nav-link cart_trigger" href="{{route('carts.index')}}" ><i class="linearicons-cart"></i><span class="cart_count">{{$cart_count}}</span></a>
                        <div class="cart_box dropdown-menu dropdown-menu-right header_cart">
                            <ul class="cart_list">
                                @include('layouts.header_cart')
                            </ul>
                            <div class="cart_footer header_cart_footer">
                                @if(\Auth::user())
                                    @php
                                        $subtotal = App\Models\ShoppingCart::where('user_id', '=', \Auth::user()->id)->sum('subtotal');
                                    @endphp
                                    @if($cart_count > 0)
                                        <p class="cart_total"><strong>Subtotal:</strong> <span class="cart_price"></span><label class="subtotal_label">{{Helper::setPriceFormat($subtotal)}}</label></p>
                                        <p class="cart_buttons"><a href="{{route('carts.index')}}" class="btn btn-fill-out rounded-0 view-cart">View Cart</a><a href="{{route('checkouts.index')}}" class="btn btn-fill-out rounded-0 checkout">Checkout</a></p>
                                    @endif
                                @else
                                    @if(!Cart::content()->isEmpty())
                                        <p class="cart_total"><strong>Subtotal:</strong> <span class="cart_price"></span><label class="subtotal_label">{{Helper::setPriceFormat(Cart::subtotal())}}</label></p>
                                        <p class="cart_buttons"><a href="{{route('carts.index')}}" class="btn btn-fill-out rounded-0 view-cart">View Cart</a><a href="{{route('checkouts.index')}}" class="btn btn-fill-out rounded-0 checkout">Checkout</a></p>
                                    @endif
                                @endif
                            </div>
                        </div>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
</header>
<!-- END HEADER -->
