<?php

// Route::get('/home', function () {
//     $users[] = Auth::user();
//     $users[] = Auth::guard()->user();
//     $users[] = Auth::guard('admin')->user();

//     dd($users);

//     return view('admin.home');
// })->name('home');

Route::namespace('App\Http\Controllers\Admin')->group(function () {

    Route::get('2fa', 'HomeController@twoFA')->name('2fa.index');

});

Route::group(['middleware' => ['admin', '2fa']], function() {

	Route::namespace('App\Http\Controllers\Admin')->group(function () {

		Route::post('2fa', function () {
			// return redirect(URL()->previous());
			return redirect()->route('admin.home');
		})->name('2fa');

		Route::get('home', 'HomeController@index')->name('home');

		// Permissions
		Route::post('permissions-bukremove', 'PermissionController@BulkRemove')->name('permissions.bulkremove');
		Route::resource('permissions', 'PermissionController');

		//Roles
		Route::resource('roles', 'RoleController');

		//Admin
		Route::any('admins-send_key', 'AdminController@SendKey')->name('admins.send_key');
		Route::post('admins-bukremove', 'AdminController@BulkRemove')->name('admins.bulkremove');
		Route::resource('admins', 'AdminController');

		//banners
		Route::post('banners-bukremove', 'BannerController@BulkRemove')->name('banners.bulkremove');
		Route::get('banners-status/{id}', 'BannerController@Status')->name('banners.status');
		Route::resource('banners', 'BannerController');

		//pages
		Route::post('pages-bukremove', 'PageController@BulkRemove')->name('pages.bulkremove');
		Route::get('pages-status/{id}', 'PageController@Status')->name('pages.status');
		Route::resource('pages', 'PageController');

		//landing_pages
		Route::resource('landing-pages', 'LandingPageController');

		//footer_contents
		Route::resource('footer-contents', 'FooterContentController');

		//footers
		Route::resource('footers', 'FooterController');

		//BlogCategories
		Route::post('blog-categories-bulkremove', 'BlogCategoryController@BulkRemove')->name('blog-categories.bulkremove');
		Route::get('blog-categories-status/{id}', 'BlogCategoryController@Status')->name('blog-categories.status');
		Route::resource('blog-categories', 'BlogCategoryController');

		//Blogs
		Route::any('blogs-datatable', 'BlogController@Datatable')->name('blogs.datatable');
		Route::post('blogs-bulkremove', 'BlogController@BulkRemove')->name('blogs.bulkremove');
		Route::get('blogs-status/{id}', 'BlogController@Status')->name('blogs.status');
		Route::resource('blogs', 'BlogController');

		//Logo
		Route::resource('logos', 'LogoController');

		//Advertisement
		Route::resource('advertisements', 'AdvertisementController');

		//Settings
		Route::resource('settings', 'SettingController');

		// INFO: Category Controller
		Route::post('categories-bulkremove', 'CategoryController@BulkRemove')->name('categories.bulkremove');
		Route::get('categories-status/{id}', 'CategoryController@Status')->name('categories.status');
		Route::resource('categories', 'CategoryController');

		// INFO: Attribute Controller
		Route::post('attributes-bulkremove', 'AttributeController@BulkRemove')->name('attributes.bulkremove');
		Route::get('attributes-status/{id}', 'AttributeController@Status')->name('attributes.status');
		Route::resource('attributes', 'AttributeController');

		// INFO: Attribute Value Controller
		Route::post('attribute-values-bulkremove', 'AttributeValueController@BulkRemove')->name('attribute-values.bulkremove');
		Route::get('attribute-values-status/{id}', 'AttributeValueController@Status')->name('attribute-values.status');
		Route::resource('attribute-values', 'AttributeValueController');

		//products
		Route::post('products-storeMedia', 'ProductController@storeMedia')->name('products.storeMedia');
        Route::get('products-removeMedia', 'ProductController@removeMedia')->name('products.removeMedia');
	    // Route::post('products-bukremove', 'ProductController@BulkRemove')->name('products.bulkremove');
	    Route::get('products-status/{id}', 'ProductController@Status')->name('products.status');
		Route::resource('products', 'ProductController');

		// Order
		Route::resource('orders', 'OrderController')->only('index', 'show', 'destroy');

	});

});

