<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/cc', function() {
    Artisan::call('view:clear');
    Artisan::call('config:cache');
    Artisan::call('cache:clear');
    // return what you want
    \Cart::destroy();
});



// Auth::routes();
Auth::routes(['register' => false, 'login' => false]);

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

//auth middleware
Route::group(['middleware' => ['auth'], 'namespace' => 'App\Http\Controllers'], function() {

//   //User
//   Route::get('/profile/update','UserController@edit')->name('users.edit');
//   ROute::post('/profile/update','UserController@update')->name('users.update');
//   Route::resource('/users','UserController')->except(['edit', 'update']);

//   //user change password routes
//   Route::get('change-password', 'ChangePasswordController@index')->name('change.password');
//   Route::post('change-password', 'ChangePasswordController@store')->name('change.password.update');

  //Wishlist
  Route::get('/pagination/wishlist-productlist', 'WishlistController@product_list_fetch_data')->name('ajax.pagination.wishlist_product_list');
  Route::resource('wishlists','WishlistController');

//   //My Order
//   Route::any('orders-datatable', 'OrderController@Datatable')->name('orders.datatable');
//   Route::resource('orders', 'OrderController');

});

Route::group(['prefix' => 'admin', 'namespace' => 'App\Http\Controllers\Admin'], function () {
    Route::get('/login', 'AdminAuth\LoginController@showLoginForm')->name('admin.login');
    Route::post('/login', 'AdminAuth\LoginController@login');
    Route::post('/logout', 'AdminAuth\LoginController@logout')->name('admin.logout');

  // Route::get('/register', 'AdminAuth\RegisterController@showRegistrationForm')->name('register');
  // Route::post('/register', 'AdminAuth\RegisterController@register');

  // Route::post('/password/email', 'AdminAuth\ForgotPasswordController@sendResetLinkEmail')->name('password.request');
  // Route::post('/password/reset', 'AdminAuth\ResetPasswordController@reset')->name('password.email');
  // Route::get('/password/reset', 'AdminAuth\ForgotPasswordController@showLinkRequestForm')->name('password.reset');
  // Route::get('/password/reset/{token}', 'AdminAuth\ResetPasswordController@showResetForm');
});

Route::group(['namespace' => 'App\Http\Controllers'], function () {
    Route::get('/', 'CommonController@index')->name('index');

    //auth middleware
    Route::group(['middleware' => ['auth']], function() {

        //User
        Route::get('profile/update','UserController@edit')->name('users.edit');
        ROute::post('profile/update','UserController@update')->name('users.update');
        Route::resource('users','UserController')->except(['edit', 'update']);

        //user change password routes
        Route::get('change-password', 'ChangePasswordController@index')->name('change.password');
        Route::post('change-password', 'ChangePasswordController@store')->name('change.password.update');

        //Wishlist
        Route::get('/pagination/wishlist-productlist', 'WishlistController@product_list_fetch_data')->name('ajax.pagination.wishlist_product_list');
        Route::resource('/wishlists','WishlistController');

        //My Order
        Route::resource('orders', 'OrderController');
      
    });

    // Cart
    Route::get('cart-empty', 'CartController@cartEmpty')->name('cart.empty');
    Route::post('cart-update', 'CartController@cartUpdate')->name('ajax.cart_update');
    Route::resource('carts', 'CartController');

    // Checkout
    Route::get('checkouts/success', 'CheckoutController@success')->name('checkouts.success');
    Route::resource('checkouts', 'CheckoutController');

    // Ajax
    Route::get('check-registered_user', 'AjaxController@checkUser')->name('ajax.check_registered_user');

    // page like aboute, faq etc route
    Route::get('page/{page_slug}', 'CommonController@page')->name('page.index');

    // Latest Product
    Route::get('plr/latest-plr-products', 'ProductController@latestProduct')->name('latest.product');

    // Product
    Route::get('product-details/{slug}', 'ProductController@getProductBySlug')->name('get.product_by_slug');
    Route::get('{category_slug}/{subcategory_slug?}', 'ProductController@index')->name('products');

    // Products
    Route::get('{category_slug}/{subcategory_slug?}', 'ProductController@index')->name('products');
});
