<?php $__env->startSection('content'); ?>

    <div class="breadcrumb_section page-title-mini">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-md-6">
                    <div class="page-title">
                        <h1 class="text-white">My Cart</h1>
                    </div>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('index')); ?>" class="text-white">Home</a></li>
                        <li class="breadcrumb-item text-white active">My Cart</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>

    <?php if(\Auth::user()): ?>
        <?php 
            $cart_count = App\Models\ShoppingCart::where('user_id', '=', \Auth::user()->id)->count(); 
            $cart_subtotal = App\Models\ShoppingCart::where('user_id', '=', \Auth::user()->id)->sum('subtotal');
            $cart_total = App\Models\ShoppingCart::where('user_id', '=', \Auth::user()->id)->sum('cart_total');
        ?>
    <?php else: ?>
        <?php
            $cart_count = Cart::count(); 
            $cart_subtotal = Cart::subtotal();
            $cart_total = Cart::total();
            // dd($cart_subtotal);
        ?>
    <?php endif; ?>

    <div class="section cart_page_main_div">
        <div class="container">
            <div class="row">
                <?php if($cart_count > 0): ?>
                    <div class="col-12">
                        <?php echo $__env->make('layouts.session', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </div>
                    <div class="col-md-12 mb-3">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-3 text-left">
                                        <a href="<?php echo e(route('index')); ?>" class="btn btn-fill-out btn-block">Continue Shopping</a>
                                    </div>
                                    <div class="col-md-6 text-center mt-2">
                                        <p class="card-text">You have <?php echo e($cart_count > 1 ?  $cart_count.' items' : $cart_count.' item'); ?> in your cart</p>
                                    </div>
                                    <div class="col-md-3 text-right">
                                        <a href="<?php echo e(route('cart.empty')); ?>" class="btn btn-fill-out cart_empty_btn btn-block"><i class="ion-close"></i> Empty Cart</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-8">
                        <div class="table-responsive shop_cart_table">
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th class="product-thumbnail">&nbsp;</th>
                                        <th class="product-name">Product</th>
                                        <th class="product-price">Price</th>
                                        <th class="product-price">Quantity</th>
                                        <th class="product-remove">Remove</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php if(\Auth::user()): ?>
                                        
                                        <?php    
                                            $shopping_cart = App\Models\ShoppingCart::where('user_id', '=', \Auth::user()->id)->get();
                                        ?>
                                        <?php $__empty_1 = true; $__currentLoopData = $shopping_cart; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $cart): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>                                    
                                            <?php 
                                                $path = asset($cart->product_image); 
                                                if($cart->product_image == null || $cart->product_image == ''){
                                                    $path = asset('/frontend/assets/images/noimage_cart.jpg');
                                                }                                            
                                            ?>                                       
                                            <tr>                                            
                                                <td class="product-thumbnail">
                                                    <a href="javascript:void(0)" data-url="<?php echo e(route('get.product_by_slug',$cart->cart_data->options->product_data->slug)); ?>" class="popup-ajax">
                                                        <img src="<?php echo e($path); ?>" alt="<?php echo e($cart->product_name); ?>">
                                                    </a>
                                                </td>
                                                <td class="product-name" data-title="Product">
                                                    <a href="javascript:void(0)" data-url="<?php echo e(route('get.product_by_slug', $cart->cart_data->options->product_data->slug)); ?>" class="popup-ajax"><?php echo e($cart->product_name); ?> (<?php echo e($cart->color); ?>) (<?php echo e($cart->size); ?>)</a>
                                                </td>                                            
                                                <td class="product-price" data-title="Price"><?php echo e(Helper::setPriceFormat($cart->price)); ?></td>
                                                <td class="product-quantity" data-title="Quantity" data-cart_id="<?php echo e($cart->id); ?>">
                                                    <div class="quantity">
                                                        <input type="button" value="-" class="minus">
                                                        <input type="text" name="quantity" value="<?php echo e($cart->quantity); ?>" title="Qty" class="qty" size="4">
                                                        <input type="button" value="+" class="plus">
                                                    </div>
                                                </td>
                                                
                                                <td class="product-remove" data-title="Remove">
                                                    <form action="<?php echo e(route('carts.destroy', $cart->rowId)); ?>" method="post">
                                                        <button type="submit" class="btn btn-sm" data-toggle="tooltip" data-original-title="Delete"><i class="ion-close-round"></i></button>
                                                        <?php echo method_field('delete'); ?>
                                                        <?php echo csrf_field(); ?>
                                                    </form>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <tr>
                                                <td colspan="4">No Item in your cart</td>
                                            </tr>
                                        <?php endif; ?>
                                    <?php else: ?>
                                        
                                        <?php $__empty_1 = true; $__currentLoopData = Cart::content(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $cart): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>                                        
                                            <?php $path = asset(Helper::getFirstImageForCart($cart->options->product_data['product_images'], '80_80')); 
                                                if(empty($cart->options->product_data['product_images'])){
                                                    $path = asset('/frontend/assets/images/noimage_cart.jpg');
                                                }
                                            ?> 
                                            <tr>
                                                <td class="product-thumbnail">
                                                    <a href="<?php echo e(route('get.product_by_slug', $cart->options->product_data['slug'])); ?>">
                                                        <img src="<?php echo e($path); ?>" alt="<?php echo e($cart->options->product_name); ?>" onerror="this.src='<?php echo e(asset('frontend/assets/images/noimage_cart.jpg')); ?>';">
                                                    </a>
                                                </td>
                                                <td class="product-name" data-title="Product">
                                                    <a href="<?php echo e(route('get.product_by_slug', $cart->options->product_data['slug'])); ?>"><?php echo e($cart->name); ?> (<?php echo e($cart->options->color); ?>) (<?php echo e($cart->options->size); ?>)</a>
                                                </td>
                                                <td class="product-price" data-title="Price"><?php echo e(Helper::setPriceFormat($cart->price)); ?></td>
                                                <td class="product-quantity" data-title="Quantity" data-cart_id="<?php echo e($cart->rowId); ?>">
                                                    <div class="quantity">
                                                        <input type="button" value="-" class="minus">
                                                        <input type="text" name="quantity" value="<?php echo e($cart->qty); ?>" title="Qty" class="qty" size="4" min="1" readonly>
                                                        <input type="button" value="+" class="plus">
                                                    </div>
                                                </td>
                                                
                                                <td class="product-remove" data-title="Remove">
                                                    <form action="<?php echo e(route('carts.destroy', $cart->rowId)); ?>" method="post">
                                                        <button type="submit" class="btn btn-sm" data-toggle="tooltip" data-original-title="Delete"><i class="ion-close"></i></button>
                                                        <?php echo method_field('delete'); ?>
                                                        <?php echo csrf_field(); ?>
                                                    </form>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <tr>
                                                <td colspan="4">No Item in your cart</td>
                                            </tr>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="border p-3 p-md-4">
                            <div class="heading_s1 mb-3">
                                <h6>Cart Totals</h6>
                            </div>
                            <div class="table-responsive">
                                <table class="table">
                                    <tbody>
                                        <tr>
                                            <td class="cart_total_label">Cart Subtotal</td>
                                            <td class="cart_subtotal_amount"><?php echo e(Helper::setPriceFormat($cart_subtotal)); ?></td>
                                        </tr>
                                        <tr>
                                            <td class="cart_total_label">Total</td>
                                            <td class="cart_total_amount"><strong><?php echo e(Helper::setPriceFormat($cart_total)); ?></strong></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <a href="<?php echo e(route('checkouts.index')); ?>" class="btn btn-fill-out btn-block"><i class="fas fa-shopping-cart"></i>Proceed To CheckOut</a>
                        </div>
                    </div>
                <?php else: ?>
                    <div class="col-md-12">
                        <div class="border p-3 p-md-4 text-center">
                            <div class="heading_s1 mb-3">
                                <h6>No Item in your cart</h6>
                            </div>
                            <a href="<?php echo e(route('index')); ?>" class="btn btn-fill-out">Continue Shopping</a>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="medium_divider"></div>
                    <div class="divider center_icon"><i class="fas fa-shopping-cart"></i></div>
                    <div class="medium_divider"></div>
                </div>
            </div>        
        </div>
    </div>

<?php $__env->stopSection(); ?>


<?php $__env->startPush('js'); ?>
<script type="text/javascript">
    $(function(){
        $('.cart').addClass('active');

        // cart empty
        $(document.body).on('click', '.cart_empty_btn', function(e){
            var me = $(this);
            e.preventDefault();
            $.confirm({
                title: 'Confirmation',
                content: 'Are you sure you want to empty cart? This process is not reversable.',
                icon: 'fa fa-exclamation-triangle',
                animation: 'scale',
                closeAnimation: 'scale',
                opacity: 0.5,
                buttons: {
                    'confirm': {
                        text: 'Proceed',
                        btnClass: 'btn-blue',
                        action: function(){
                            $.confirm({
                                title: 'This maybe critical',
                                content: 'Are you sure ?',
                                icon: 'fa skull-crossbones',
                                animation: 'scale',
                                closeAnimation: 'zoom',
                                buttons: {
                                    confirm: {
                                        text: 'Yes, sure!',
                                        btnClass: 'btn-danger',
                                        action: function(){
                                            var url = me.attr('href');
                                            window.open(url, '_parent');
                                        }
                                    },
                                    cancel: function(){
                                        //$.alert('you clicked on <strong>cancel</strong>');
                                    }
                                }
                            });
                        }
                    },
                    cancel: function(){
                        //$.alert('you clicked on <strong>cancel</strong>');
                    },
                    
                }
                });
        });

        // cart update (pluse)
        $(document.body).on('click', '.product-quantity .plus', function(){
            var me = $(this);
            var quantity = me.closest('.product-quantity').find("input[name='quantity']").val();
            var cart_id = me.closest('.product-quantity').attr("data-cart_id");
            updateCart(cart_id, quantity);
        });

        // cart update (minus)
        $(document.body).on('click', '.product-quantity .minus', function(){
            var me = $(this);
            var quantity = me.closest('.product-quantity').find("input[name='quantity']").val();
            var cart_id = me.closest('.product-quantity').attr("data-cart_id");
            updateCart(cart_id, quantity);
        });

    });

    function updateCart(cart_id, quantity){
        $.ajax({
            type: 'post',
            url: '<?php echo e(route("ajax.cart_update")); ?>',
            data:{
                '_token': '<?php echo e(csrf_token()); ?>',
                'cart_id': cart_id,
                'quantity': quantity
            },
            dataType: 'json',
            success: function(response){
                if(response.status){
                    var cart_subtotal = setPriceFormat(response.cart_subtotal);
                    var cart_total = setPriceFormat(response.cart_total);
                    $(".cart_subtotal_amount").html(cart_subtotal);
                    $(".cart_total_amount").html('<strong>'+cart_total+'</strong>');
                }
            }
        });
    }
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/plrsgcom/public_html/plrweb3shops/resources/views/frontend/cart/index.blade.php ENDPATH**/ ?>