<?php $__env->startSection('content'); ?>
<section class="pcoded-main-container">
    <div class="pcoded-wrapper">
        <div class="pcoded-content">
            <div class="pcoded-inner-content">
                <div class="page-header">
                    <div class="page-block">
                        <div class="row align-items-center">
                            <div class="col-md-12">
                                <div class="page-header-title">
                                    <h5 class="m-b-10">Orders</h5>
                                </div>
                                <ul class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="<?php echo e(route('admin.home')); ?>"><i class="feather icon-home"></i></a></li>
                                    <li class="breadcrumb-item"><a href="javascript:void(0)">Order Details (<?php echo e($order->order_id); ?>)</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="main-body">
                    <div class="page-wrapper">
                        <div class="row">

                            <div class="col-xl-12">

                                <?php echo $__env->make('admin.layout.session', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                                <div class="card">
                                    <div class="card-header">
                                        <h5>Order Details</h5>                                        
                                    </div>
                                    <div class="card-block task-details order-sheet">
                                        <div class="col-md-12"> 
                                            <div class="text-xs-center">
                                                <h6>Order Date : <?php echo e($order->created_at); ?></h6>
                                            </div>                                            
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="card">                                                        
                                                        <div class="card-block">
                                                            <div class="table-responsive">
                                                                <table class="table table-sm order_detail_table">
                                                                    <tbody class="order_sheet_view">
                                                                        <tr>           
                                                                            <th>Order Id</th>
                                                                            <td><?php echo e($order->order_id); ?></td>
                                                                        </tr>
                                                                        <tr>           
                                                                            <th>Orderer Name</th>
                                                                            <?php if($order->user_id == null): ?>
                                                                                <td><?php echo e($order->shipping_address->fname); ?> <?php echo e($order->shipping_address->lname); ?></td>
                                                                            <?php else: ?>
                                                                                <td><?php echo e($order->user->first_name); ?></td>
                                                                            <?php endif; ?>
                                                                        </tr>
                                                                        <tr>           
                                                                            <th rawspan="2">Shipping Address</th>
                                                                            <td><?php echo e($order->shipping_address->fname); ?> <?php echo e($order->shipping_address->lname); ?>,  <?php echo e($order->shipping_address->address); ?> <?php echo e($order->shipping_address->address2); ?>,  <?php echo e($order->shipping_address->city); ?>, <?php echo e($order->shipping_address->state); ?>, <?php echo e($order->shipping_address->zipcode); ?></td>
                                                                        </tr>
                                                                        <tr>
                                                                            <th>Phone No.</th>
                                                                            <td><?php echo e($order->shipping_address->mobile_no); ?></td>
                                                                        </tr>
                                                                        <tr>
                                                                            <th>E-mail</th>
                                                                            <td><?php echo e($order->shipping_address->email); ?></td>
                                                                        </tr>
                                                                        <tr>           
                                                                            <th>Total</th>
                                                                            <td colspan="3" style="white-space: pre-wrap;"><?php echo e(\Helper::getCurrency()); ?> <?php echo e($order->grand_total); ?></td>
                                                                        </tr>
                                                                        <tr>           
                                                                            <th>Discount</th>
                                                                            <td colspan="3" style="white-space: pre-wrap;"><?php echo e(\Helper::getCurrency()); ?> <?php echo e($order->discount); ?></td>
                                                                        </tr>
                                                                        <tr>           
                                                                            <th>Payable Amount</th>
                                                                            <td colspan="3" style="white-space: pre-wrap;"><?php echo e(\Helper::getCurrency()); ?> <?php echo e($order->grand_total); ?></td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>                                        
                                </div>

                                <div class="card">
                                    <div class="card-header">
                                        <h5>Transaction Details</h5>                                        
                                    </div>
                                    <div class="card-block task-details order-sheet">
                                        <div class="col-md-12"> 
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="card">                                                        
                                                        <div class="card-block">
                                                            <div class="table-responsive">
                                                                <table class="table table-sm order_detail_table">
                                                                    <tbody class="order_sheet_view">
                                                                        <tr>           
                                                                            <th>Account Id</th>
                                                                            <td><?php echo e($transaction->account_id); ?></td>
                                                                        </tr>
                                                                        <tr>
                                                                            <th>Amount</th>
                                                                            <td><?php echo e(\Helper::getCurrency()); ?> <?php echo e($transaction->amount); ?></td>
                                                                        </tr>
                                                                        <tr>
                                                                            <th>txhash</th>
                                                                            <td><?php echo e($transaction->txhash); ?></td>
                                                                        </tr>
                                                                        <tr>           
                                                                            <th>Payment Currency</th>
                                                                            <td><?php echo e($transaction->payment_currency); ?></td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>                                        
                                </div>

                                <div class="card">
                                    <div class="card-header">
                                        <h5>Product Details</h5>
                                        <div class="d-inline-block dropdown float-right">
                                            <a href="<?php echo e(route('admin.orders.index')); ?>" class="btn btn-glow-dark btn-dark btn-sm"><i class="feather icon-chevrons-left"></i>Back</a>
                                        </div>
                                    </div>
                                    <div class="card-block table-border-style">

                                        <div class="table-responsive Recent-Users">
                                            <table class="table table-hover">
                                                <thead>
                                                    <tr>         
                                                        <th>Sr. No.</th>                                               
                                                        <th>Product</th>
                                                        <th>Quantity</th>                                                        
                                                        <th>Price</th>                                                        
                                                        <th>Total</th>                                                        
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php $i=1 ?>
                                                    <?php $__currentLoopData = $order_details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order_d): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr>
                                                        <td><?php echo e($i++); ?></td>
                                                        <td><?php echo e($order_d->product->name); ?> (<?php echo e($order_d->cart_data->options->color); ?>) (<?php echo e($order_d->cart_data->options->size); ?>)</td>
                                                        <td><?php echo e($order_d->quantity); ?></td>
                                                        <td><?php echo e(\Helper::getCurrency()); ?> <?php echo e($order_d->price); ?></td>
                                                        <td><?php echo e(\Helper::getCurrency()); ?> <?php echo e($order_d->grand_total); ?></td>
                                                    </tr>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('js'); ?>
<script type="text/javascript">
    $(function(){
        $('.orders').addClass('active');
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/plrsgcom/public_html/plrweb3shops/resources/views/admin/order/show.blade.php ENDPATH**/ ?>