<?php
    $categories = App\Models\Admin\Category::Active()->whereNull('parent_id')->get()->take(4);
?>
<!-- START HEADER -->
<header class="header_wrap fixed-top header_with_topbar">
    
    <div class="bottom_header dark_skin main_menu_uppercase">
    	<div class="container">
            <nav class="navbar navbar-expand-lg">
                <a class="navbar-brand" href="<?php echo e(route('index')); ?>">
                    <img class="logo_light" src="<?php echo e(asset('/frontend/assets/images/logo_light.png')); ?>" alt="logo" />
                    <img class="logo_dark" src="<?php echo e(asset('/frontend/assets/images/logo_dark.png')); ?>" width="270" alt="logo" />
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-expanded="false">
                    <span class="ion-android-menu"></span>
                </button>
                <div class="collapse navbar-collapse justify-content-end" id="navbarSupportedContent">
                    <ul class="navbar-nav">
                        <li><a class="nav-link nav_item menu_home" href="<?php echo e(url('/')); ?>">Home</a></li>
                        <?php $__empty_1 = true; $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <li class="dropdown">
                            <a class="dropdown-toggle nav-link menu_<?php echo e($category->slug); ?>" href="<?php echo e(route('products', [$category->slug])); ?>" data-toggle="dropdown"><?php echo e($category->name); ?></a>
                            <div class="dropdown-menu">
                                <ul>
                                    <?php $__empty_2 = true; $__currentLoopData = $category->subcategory; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_2 = false; ?>
                                    <li><a class="dropdown-item nav-link nav_item" href="<?php echo e(route('products', [$category->slug, $subcategory->slug])); ?>"><?php echo e($subcategory->name); ?></a></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_2): ?>
                                    <?php endif; ?>
                                </ul>
                            </div>
                        </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <?php endif; ?>
                        <li><a class="nav-link nav_item about_us" href="#">About Us</a></li>
                        <li><a class="nav-link nav_item contact_us" href="#">Contact Us</a></li>
                        <li><a class="nav-link nav_item latest_product" href="<?php echo e(route('latest.product')); ?>">Latest Product</a></li>
                        <li><a class="nav-link nav_item connect_wallet_btn" href="javascript:void(0);">Connect Wallet</a></li>
                    </ul>
                </div>
                <ul class="navbar-nav attr-nav align-items-center">
                    <li><a href="javascript:void(0);" class="nav-link search_trigger"><i class="linearicons-magnifier"></i></a>
                        <div class="search_wrap">
                            <span class="close-search"><i class="ion-ios-close-empty"></i></span>
                            <form>
                                <input type="text" placeholder="Search" class="form-control" id="search_input">
                                <button type="submit" class="search_icon"><i class="ion-ios-search-strong"></i></button>
                            </form>
                        </div><div class="search_overlay"></div>
                    </li>

                    <?php if(\Auth::user()): ?>
                        <?php $cart_count = App\Models\ShoppingCart::where('user_id', '=', Auth::user()->id)->sum('quantity'); ?>
                    <?php else: ?>
                        <?php $cart_count = Cart::count(); ?>
                    <?php endif; ?>

                    <li class="dropdown cart_dropdown"><a class="nav-link cart_trigger" href="<?php echo e(route('carts.index')); ?>" ><i class="linearicons-cart"></i><span class="cart_count"><?php echo e($cart_count); ?></span></a>
                        <div class="cart_box dropdown-menu dropdown-menu-right header_cart">
                            <ul class="cart_list">
                                <?php echo $__env->make('layouts.header_cart', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </ul>
                            <div class="cart_footer header_cart_footer">
                                <?php if(\Auth::user()): ?>
                                    <?php
                                        $subtotal = App\Models\ShoppingCart::where('user_id', '=', \Auth::user()->id)->sum('subtotal');
                                    ?>
                                    <?php if($cart_count > 0): ?>
                                        <p class="cart_total"><strong>Subtotal:</strong> <span class="cart_price"></span><label class="subtotal_label"><?php echo e(Helper::setPriceFormat($subtotal)); ?></label></p>
                                        <p class="cart_buttons"><a href="<?php echo e(route('carts.index')); ?>" class="btn btn-fill-out rounded-0 view-cart">View Cart</a><a href="<?php echo e(route('checkouts.index')); ?>" class="btn btn-fill-out rounded-0 checkout">Checkout</a></p>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <?php if(!Cart::content()->isEmpty()): ?>
                                        <p class="cart_total"><strong>Subtotal:</strong> <span class="cart_price"></span><label class="subtotal_label"><?php echo e(Helper::setPriceFormat(Cart::subtotal())); ?></label></p>
                                        <p class="cart_buttons"><a href="<?php echo e(route('carts.index')); ?>" class="btn btn-fill-out rounded-0 view-cart">View Cart</a><a href="<?php echo e(route('checkouts.index')); ?>" class="btn btn-fill-out rounded-0 checkout">Checkout</a></p>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>
                        </div>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
</header>
<!-- END HEADER -->
<?php /**PATH /home/plrsgcom/public_html/plrweb3shops/resources/views/layouts/header.blade.php ENDPATH**/ ?>